Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ introduction/welcome/changelog.xml	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -12,5 +12,5 @@
 
 <listitem><para>August 30, 2003 [larry]: postlfs: update intro section
-of tcsh, zsh and joe.</para></listitem>
+of tcsh, zsh, joe, nano and emacs.</para></listitem>
 
 <listitem><para>August 30, 2003 [larry]: general: update to gcc-3.3.1
Index: postlfs/editors/emacs/emacs-desc.xml
===================================================================
--- postlfs/editors/emacs/emacs-desc.xml	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ postlfs/editors/emacs/emacs-desc.xml	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -2,14 +2,14 @@
 <title>Contents</title>
 
-<para>The emacs package contains <userinput>emacs</userinput>,
-<userinput>b2m</userinput>, <userinput>ctags</userinput>,
-<userinput>ebrowse</userinput>, <userinput>emacsclient</userinput>,
-<userinput>etags</userinput>, <userinput>grep-changelog</userinput>,
-<userinput>rcs-checkin</userinput>, <userinput>cvt-mail</userinput>,
-<userinput>digest-doc</userinput>, <userinput>emacsserver</userinput>,
-<userinput>fakemail</userinput>, <userinput>hexl</userinput>,
-<userinput>movemail</userinput>, <userinput>profile</userinput>,
-<userinput>rcs2log</userinput>, <userinput>sorted-doc</userinput>,
-<userinput>vcdiff</userinput> and <userinput>yow</userinput>.</para>
+<para>The emacs package contains <command>emacs</command>,
+<command>b2m</command>, <command>ctags</command>,
+<command>ebrowse</command>, <command>emacsclient</command>,
+<command>etags</command>, <command>grep-changelog</command>,
+<command>rcs-checkin</command>, <command>cvt-mail</command>,
+<command>digest-doc</command>, <command>emacsserver</command>,
+<command>fakemail</command>, <command>hexl</command>,
+<command>movemail</command>, <command>profile</command>,
+<command>rcs2log</command>, <command>sorted-doc</command>,
+<command>vcdiff</command> and <command>yow</command>.</para>
 
 </sect2>
@@ -21,67 +21,70 @@
 
 <sect3><title>b2m</title>
-<para>b2m is a program to convert mail files from RMAIL format to Unix
+<para><command>b2m</command> is a program to convert mail files from RMAIL format to Unix
 `mbox' format.</para></sect3>
 
 <sect3><title>ctags</title>
-<para>ctags creates cross-reference tagfile database files for source
+<para><command>ctags</command> creates cross-reference tagfile database files for source
 code.</para></sect3>
 
 <sect3><title>ebrowse</title>
-<para>ebrowse permits browsing of C++ class hierarchies from with
+<para><command>ebrowse</command> permits browsing of C++ class hierarchies from with
 emacs.</para></sect3>
 
 <sect3><title>emacsclient</title>
-<para>emacsclient attaches an emacs session to an already running
+<para><command>emacsclient</command> attaches an emacs session to an already running
 emacsserver instance.</para></sect3>
 
 <sect3><title>etags</title>
-<para>etags is another program to generate source code cross-reference
+<para><command>etags</command> is another program to generate source code cross-reference
 tagfiles.</para></sect3>
 
 <sect3><title>grep-changelog</title>
-<para>grep-changelog prints entries in ChangeLogs matching various
+<para><command>grep-changelog</command> prints entries in ChangeLogs matching various
 criteria.</para></sect3>
 
 <sect3><title>rcs-checkin</title>
-<para>rcs-checkin is a shell script used to check files into RCS.</para></sect3>
+<para><command>rcs-checkin</command> is a shell script used to check
+files into <acronym>RCS</acronym>.</para></sect3>
 
 <sect3><title>cvt-mail</title>
-<para>cvt-mail converts old style goslings emacs mail directories into
+<para><command>cvt-mail</command> converts old style goslings emacs mail directories into
 gnu-rmail format.</para></sect3>
 
 <sect3><title>digest-doc</title>
-<para>digest-doc is a filter to create nroff output for man pages.</para></sect3>
+<para><command>digest-doc</command> is a filter to create nroff output for man pages.</para></sect3>
 
 <sect3><title>emacsserver</title>
-<para>emacserver allows other applications/shells to access an already
+<para><command>emacserver</command> allows other applications/shells to access an already
 running emacs instance and share buffers with it.</para></sect3>
 
 <sect3><title>fakemail</title>
-<para>fakemail is a sendmail-like interface to
+<para><command>fakemail</command> is a sendmail-like interface to
 <filename>/bin/mail</filename>.</para></sect3>
 
 <sect3><title>hexl</title>
-<para>hexl converts files for editing with emacs hexl-mode binary file
+<para><command>hexl</command> converts files for editing with emacs hexl-mode binary file
 editing mode.</para></sect3>
 
 <sect3><title>movemail</title>
-<para>movemail provide access to POP3 mailboxes.</para></sect3>
+<para><command>movemail</command> provide access to
+<acronym>POP3</acronym> mailboxes.</para></sect3>
 
 <sect3><title>profile</title>
-<para>profile generates periodic events for profiling of Emacs
+<para><command>profile</command> generates periodic events for profiling of Emacs
 Lisp code.</para></sect3>
 
 <sect3><title>rcs2log</title>
-<para>rcs2log generates change log prefixes from RCS files.</para></sect3>
+<para><command>rcs2log</command> generates change log prefixes from
+<acronym>RCS</acronym> files.</para></sect3>
 
 <sect3><title>sorted-doc</title>
-<para>sorted-doc is a filter to generate texinfo files.</para></sect3>
+<para><command>sorted-doc</command> is a filter to generate texinfo files.</para></sect3>
 
 <sect3><title>vcdiff</title>
-<para>vcdiff compares SCCS files.</para></sect3>
+<para><command>vcdiff</command> compares <acronym>SCCS</acronym> files.</para></sect3>
 
 <sect3><title>yow</title>
-<para>yow prints a quotation from Zippy the Pinhead.</para></sect3>
+<para><command>yow</command> prints a quotation from Zippy the Pinhead.</para></sect3>
 
 </sect2>
Index: postlfs/editors/emacs/emacs-inst.xml
===================================================================
--- postlfs/editors/emacs/emacs-inst.xml	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ postlfs/editors/emacs/emacs-inst.xml	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of emacs</title>
+<title>Installation of <application>emacs</application></title>
 
-<para>Install emacs by running the following commands:</para>
+<para>Install <application>emacs</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr \
+<screen><userinput><command>./configure --prefix=/usr \
    --libexecdir=/usr/sbin &amp;&amp;
 make bootstrap &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: postlfs/editors/emacs/emacs-intro.xml
===================================================================
--- postlfs/editors/emacs/emacs-intro.xml	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ postlfs/editors/emacs/emacs-intro.xml	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -1,17 +1,27 @@
 <sect2>
-<title>Introduction to emacs</title>
+<title>Introduction to <application>emacs</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&emacs-download-http;"/>
-Download location (FTP):        <ulink url="&emacs-download-ftp;"/>
-Version used:                   &emacs-version;
-Package size:                   &emacs-size;
-Estimated Disk space required:  &emacs-buildsize;
-Estimated build time:           &emacs-time;</screen>
-
-<para>The emacs package contains emacs, the extensible, customizable,
+<para>The <application>emacs</application> package contains the extensible, customizable,
 self-documenting real-time display editor.</para>
 
-<screen>emacs will utilize:
-<xref linkend="xfree86"/>, <xref linkend="libjpeg"/>, <xref linkend="libpng"/>, <xref linkend="libtiff"/> and <xref linkend="libungif"/></screen>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&emacs-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&emacs-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &emacs-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&emacs-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&emacs-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>emacs</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="xfree86"/>, <xref linkend="libjpeg"/>, <xref
+linkend="libpng"/>, <xref linkend="libtiff"/> and <xref
+linkend="libungif"/></para></sect4>
+</sect3>
 
 </sect2>
Index: postlfs/editors/emacs/emacs.ent
===================================================================
--- postlfs/editors/emacs/emacs.ent	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ postlfs/editors/emacs/emacs.ent	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -8,3 +8,3 @@
 <!ENTITY emacs-download-ftp "ftp://ftp.gnu.org/pub/gnu/emacs/emacs-&emacs-version;.tar.gz">
 <!ENTITY emacs-size "20 MB">
-<!ENTITY emacs-time "8.40 SBU">
+<!ENTITY emacs-time "4.20 SBU">
Index: postlfs/editors/nano/nano-desc.xml
===================================================================
--- postlfs/editors/nano/nano-desc.xml	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ postlfs/editors/nano/nano-desc.xml	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The nano package contains <userinput>nano</userinput>.</para>
+<para>The <application>nano</application> package contains
+<command>nano</command>.</para>
 
 </sect2>
@@ -9,6 +10,7 @@
 
 <sect3><title>nano</title>
-<para>nano is a small, simple text editor which aims to replace
-Pico, the default editor in the Pine package.</para></sect3>
+<para><command>nano</command> is a small, simple text editor which aims to replace
+<application>Pico</application>, the default editor in the
+<application>Pine</application> package.</para></sect3>
 
 </sect2>
Index: postlfs/editors/nano/nano-inst.xml
===================================================================
--- postlfs/editors/nano/nano-inst.xml	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ postlfs/editors/nano/nano-inst.xml	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of nano</title>
+<title>Installation of <application>nano</application></title>
 
-<para>Install nano by running the following commands:</para>
+<para>Install <application>nano</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --enable-color \
+<screen><userinput><command>./configure --prefix=/usr --enable-color \
 --enable-multibuffer --enable-nanorc &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: postlfs/editors/nano/nano-intro.xml
===================================================================
--- postlfs/editors/nano/nano-intro.xml	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ postlfs/editors/nano/nano-intro.xml	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -1,14 +1,22 @@
 <sect2>
-<title>Introduction to nano</title>
+<title>Introduction to <application>nano</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&nano-download-http;"/>
-Download location (FTP):        <ulink url="&nano-download-ftp;"/>
-Version used:                   &nano-version;
-Package size:                   &nano-size;
-Estimated Disk space required:  &nano-buildsize;
-Estimated build time:           &nano-time;</screen>
+<para>The <application>nano</application> package contains a small, simple text editor which
+aims to replace <application>Pico</application>, the default editor in
+the <application>Pine</application> package.</para>
 
-<para>The nano package contains nano, a small, simple text editor which
-aims to replace Pico, the default editor in the Pine package.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&nano-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&nano-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &nano-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&nano-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&nano-time;</para></listitem></itemizedlist>
+</sect3>
+
 
 </sect2>
Index: postlfs/editors/nano/nano.ent
===================================================================
--- postlfs/editors/nano/nano.ent	(revision 1155be78703b9f8282caf06ecb5ee3f27e233502)
+++ postlfs/editors/nano/nano.ent	(revision 42333a232f6bcf1babf03021bef914679c2b99bc)
@@ -8,3 +8,3 @@
 <!ENTITY nano-download-ftp "ftp://ftp.gnu.org/gnu/nano/nano-&nano-version;.tar.gz">
 <!ENTITY nano-size "880 KB">
-<!ENTITY nano-time "0.13 SBU">
+<!ENTITY nano-time "0.06 SBU">