Index: multimedia/audioutils/vorbistools.xml
===================================================================
--- multimedia/audioutils/vorbistools.xml	(revision 96570d926c0805bb2ae7e525612bb7c0afb4a6bd)
+++ multimedia/audioutils/vorbistools.xml	(revision 43530f8f4cd553709abbd0d40f0cac6b637e7814)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
@@ -13,159 +14,196 @@
 
 <sect1 id="vorbistools" xreflabel="Vorbis Tools-&vorbistools-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="vorbistools.html"?>
-<title>Vorbis Tools-&vorbistools-version;</title>
-<indexterm zone="vorbistools">
-<primary sortas="a-Vorbis-Tools">Vorbis Tools</primary></indexterm>
-
-<sect2>
-<title>Introduction to <application>Vorbis Tools</application></title>
-
-<para>The <application>Vorbis Tools</application> package contains command-line 
-tools for Ogg audio files.  This is useful for encoding, 
-playing or editing files using the Ogg <acronym>CODEC</acronym>.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&vorbistools-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&vorbistools-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &vorbistools-md5sum;</para></listitem>
-<listitem><para>Download size: &vorbistools-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&vorbistools-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&vorbistools-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title><application>Vorbis Tools</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="libvorbis"/></para>
-</sect4>
-
-<sect4><title>Recommended (required to build the <command>ogg123</command> 
-program)</title>
-<para><xref linkend="curl"/> and <xref linkend="libao"/></para>
-</sect4>
-
-<sect4><title>Optional</title>
-<para><xref linkend="flac"/> and <xref linkend="speex"/></para>
-</sect4>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Installation of <application>Vorbis Tools</application></title>
-
-<para>Install <application>Vorbis Tools</application> by running the following 
-commands:</para>
-
-<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
-make</command></userinput></screen>
-
-<para>Now, as the root user:</para>
-
-<screen><userinput role='root'><command>make install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Configuring <application>Vorbis Tools</application></title>
-
-<sect3 id="vorbistools-config"><title>Config files</title>
-<para><filename>/etc/libao.conf</filename>, 
-<filename>~/.libao</filename>, 
-<filename>~/.ogg123rc</filename></para>
-<indexterm zone="vorbistools vorbistools-config">
-<primary sortas="e-AA.libao">~/.libao</primary></indexterm>
-<indexterm zone="vorbistools vorbistools-config">
-<primary sortas="e-AA.ogg123rc">~/.ogg123rc</primary></indexterm>
-<indexterm zone="vorbistools vorbistools-config">
-<primary sortas="e-etc-libao.conf">/etc/libao.conf</primary></indexterm>
-</sect3>
-
-<sect3><title>Configuration information</title>
-<para>Issue <command>man libao.conf</command> for information about setting 
-the default output device. Also see 
-<filename>/usr/share/doc/vorbis-tools-1.0.1/ogg123rc-example</filename>.</para>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Directory</segtitle>
-<seglistitem>
-<seg>ogg123, oggdec, oggenc, ogginfo, vcut and vorbiscomment</seg>
-<seg>/usr/share/doc/vorbis-tools-&vorbistools-version;</seg>
-</seglistitem>
-</segmentedlist>
-
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
-
-<varlistentry id="ogg123">
-<term><command>ogg123</command></term>
-<listitem><para>is a command-line audio player for Ogg Vorbis streams.</para>
-<indexterm zone="vorbistools ogg123">
-<primary sortas="b-ogg123">ogg123</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="oggdec">
-<term><command>oggdec</command></term>
-<listitem><para>is a simple decoder which converts Ogg Vorbis files into 
-<acronym>PCM</acronym> audio files (<acronym>WAV</acronym> or raw).</para>
-<indexterm zone="vorbistools oggdec">
-<primary sortas="b-oggdec">oggdec</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="oggenc">
-<term><command>oggenc</command></term>
-<listitem><para>is an encoder that turns raw, <acronym>WAV</acronym> or 
-<acronym>AIFF</acronym> files into an Ogg Vorbis stream.</para>
-<indexterm zone="vorbistools oggenc">
-<primary sortas="b-oggenc">oggenc</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="ogginfo">
-<term><command>ogginfo</command></term>
-<listitem><para>prints information stored in an audio file.</para>
-<indexterm zone="vorbistools ogginfo">
-<primary sortas="b-ogginfo">ogginfo</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="vcut">
-<term><command>vcut</command></term>
-<listitem><para>will split a file into two files at a designated cut 
-point.</para>
-<indexterm zone="vorbistools vcut">
-<primary sortas="b-vcut">vcut</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="vorbiscomment">
-<term><command>vorbiscomment</command></term>
-<listitem><para>is an editor that changes information in the audio file 
-metadata tags.</para>
-<indexterm zone="vorbistools vorbiscomment">
-<primary sortas="b-vorbiscomment">vorbiscomment</primary></indexterm>
-</listitem>
-</varlistentry>
-</variablelist>
-
-</sect2>
+  <?dbhtml filename="vorbistools.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Vorbis Tools-&vorbistools-version;</title>
+
+  <indexterm zone="vorbistools">
+    <primary sortas="a-Vorbis-Tools">Vorbis Tools</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Vorbis Tools</title>
+
+    <para>The <application>Vorbis Tools</application> package contains 
+    command-line tools for Ogg audio files.  This is useful for encoding, 
+    playing or editing files using the Ogg CODEC.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&vorbistools-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&vorbistools-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &vorbistools-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &vorbistools-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &vorbistools-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &vorbistools-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Vorbis Tools Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="libvorbis"/></para>
+
+    <bridgehead renderas="sect4">Recommended (Required to Build the 
+    'ogg123' Program)</bridgehead>
+    <para><xref linkend="curl"/> and <xref linkend="libao"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="flac"/> and <xref linkend="speex"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Vorbis Tools</title>
+
+    <para>Install <application>Vorbis Tools</application> by running the following 
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Vorbis Tools</title>
+
+    <sect3 id="vorbistools-config">
+      <title>Config Files</title>
+
+      <para><filename>/etc/libao.conf</filename>, 
+      <filename>~/.libao</filename>, and
+      <filename>~/.ogg123rc</filename></para>
+
+      <indexterm zone="vorbistools vorbistools-config">
+        <primary sortas="e-AA.libao">~/.libao</primary>
+      </indexterm>
+
+      <indexterm zone="vorbistools vorbistools-config">
+        <primary sortas="e-AA.ogg123rc">~/.ogg123rc</primary>
+      </indexterm>
+
+      <indexterm zone="vorbistools vorbistools-config">
+        <primary sortas="e-etc-libao.conf">/etc/libao.conf</primary>
+      </indexterm>
+
+    </sect3>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>Issue <command>man libao.conf</command> for information 
+      about setting the default output device. Also see 
+      <filename>/usr/share/doc/vorbis-tools-1.0.1/ogg123rc-example</filename>.</para>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>ogg123, oggdec, oggenc, ogginfo, vcut, and vorbiscomment</seg>
+        <seg>None</seg>
+        <seg>/usr/share/doc/vorbis-tools-&vorbistools-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="ogg123">
+        <term><command>ogg123</command></term>
+        <listitem>
+          <para>is a command-line audio player for Ogg Vorbis streams.</para>
+          <indexterm zone="vorbistools ogg123">
+            <primary sortas="b-ogg123">ogg123</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="oggdec">
+        <term><command>oggdec</command></term>
+        <listitem>
+          <para>is a simple decoder which converts Ogg Vorbis files into 
+          PCM audio files (WAV or raw).</para>
+          <indexterm zone="vorbistools oggdec">
+            <primary sortas="b-oggdec">oggdec</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="oggenc">
+        <term><command>oggenc</command></term>
+        <listitem>
+          <para>is an encoder that turns raw, WAV or 
+          AIFF files into an Ogg Vorbis stream.</para>
+          <indexterm zone="vorbistools oggenc">
+            <primary sortas="b-oggenc">oggenc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ogginfo">
+        <term><command>ogginfo</command></term>
+        <listitem>
+          <para>prints information stored in an audio file.</para>
+          <indexterm zone="vorbistools ogginfo">
+            <primary sortas="b-ogginfo">ogginfo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="vcut">
+        <term><command>vcut</command></term>
+        <listitem>
+          <para>will split a file into two files at a designated cut point.</para>
+          <indexterm zone="vorbistools vcut">
+            <primary sortas="b-vcut">vcut</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="vorbiscomment">
+        <term><command>vorbiscomment</command></term>
+        <listitem>
+          <para>is an editor that changes information in the audio file 
+          metadata tags.</para>
+          <indexterm zone="vorbistools vorbiscomment">
+            <primary sortas="b-vorbiscomment">vorbiscomment</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>