Index: gnome/platform/dconf.xml
===================================================================
--- gnome/platform/dconf.xml	(revision 8a9f48c133b7afaf4353835a71e9ea5582dda38f)
+++ gnome/platform/dconf.xml	(revision 44621c7fed89d859b914da41a1cd4215c7f2490e)
@@ -16,8 +16,8 @@
   <!ENTITY dconf-editor-download-http "&gnome-download-http;/dconf-editor/&gnome-minor-34;/dconf-editor-&dconf-editor-version;.tar.xz">
   <!ENTITY dconf-editor-download-ftp  "&gnome-download-ftp;/dconf-editor/&gnome-minor-34;/dconf-editor-&dconf-editor-version;.tar.xz">
-  <!ENTITY dconf-editor-md5sum        "4a2cf532dee3ab48eae500140450d605">
-  <!ENTITY dconf-editor-size          "552 KB">
-  <!ENTITY dconf-editor-buildsize     "28 MB">
-  <!ENTITY dconf-editor-time          "less than 0.1 SBU (Using parallelism=4)">
+  <!ENTITY dconf-editor-md5sum        "bb4c53beff260bd80ce82609e61abde4">
+  <!ENTITY dconf-editor-size          "556 KB">
+  <!ENTITY dconf-editor-buildsize     "36 MB">
+  <!ENTITY dconf-editor-time          "0.2 SBU">
 ]>
 
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision 8a9f48c133b7afaf4353835a71e9ea5582dda38f)
+++ gnome/platform/evolution-data-server.xml	(revision 44621c7fed89d859b914da41a1cd4215c7f2490e)
@@ -9,8 +9,8 @@
   <!ENTITY evolution-data-server-download-ftp
            "&gnome-download-ftp;/evolution-data-server/&gnome-minor-34;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "687d6d7242d60a8a3a3322eee6a45dca">
+  <!ENTITY evolution-data-server-md5sum        "23293554e9d92c6c0c78b5568b286efd">
   <!ENTITY evolution-data-server-size          "4.4 MB">
-  <!ENTITY evolution-data-server-buildsize     "163 MB">
-  <!ENTITY evolution-data-server-time          "0.7 SBU (Using parallelism=4)">
+  <!ENTITY evolution-data-server-buildsize     "201 MB (with tests)">
+  <!ENTITY evolution-data-server-time          "3.0 SBU (with tests)">
 ]>
 
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -236,5 +236,5 @@
         <seg>
           /usr/include/evolution-data-server,
-          /usr/lib/evolution-data-server,
+          /usr/lib{,exec}/evolution-data-server,
           /usr/share/{,installed-tests/}evolution-data-server, and
           <!-- We explicitly disable gtk-doc generation, so comment these out
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision 8a9f48c133b7afaf4353835a71e9ea5582dda38f)
+++ gnome/platform/folks.xml	(revision 44621c7fed89d859b914da41a1cd4215c7f2490e)
@@ -34,9 +34,9 @@
       aggregates people from multiple sources (e.g,
       <application>Telepathy</application> connection managers and
-      eventually <application>Evolution Data Server</application>,
+      <application>Evolution Data Server</application>,
       Facebook, etc.) to create metacontacts.
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -117,19 +117,25 @@
 ninja</userinput></screen>
 
-
-
-<!--
     <para>
       To test the results, issue <command>ninja test</command> from a local
       X session started with <command>dbus-launch</command>.
-      
+    </para>
+      <!--
       As of version 0.13.1, I just get 'No tests defined. - Bruce
       -->
+      <!-- with 0.13.2, I get the following results:
+         Ok:                   44
+         Expected Fail:         0
+         Fail:                  0
+         Unexpected Pass:       0
+         Skipped:               0
+         Timeout:               0
+         I believe it now has the test suite again. -->
+
       <!-- In the future, we need to run the tests with Tracker's backend
       enabled before we suggest enabling that backend. I tried this with 0.12.1
       and had 103 test failures in Tracker's section of the test suite.
       This is unacceptable and is why we have it disabled by default. -->
-    <para>This package does not come with a test suite.
-    </para>
+    <!--<para>This package does not come with a test suite.</para>-->
 
     <para>
Index: gnome/platform/gfbgraph.xml
===================================================================
--- gnome/platform/gfbgraph.xml	(revision 8a9f48c133b7afaf4353835a71e9ea5582dda38f)
+++ gnome/platform/gfbgraph.xml	(revision 44621c7fed89d859b914da41a1cd4215c7f2490e)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gsound.xml
===================================================================
--- gnome/platform/gsound.xml	(revision 8a9f48c133b7afaf4353835a71e9ea5582dda38f)
+++ gnome/platform/gsound.xml	(revision 44621c7fed89d859b914da41a1cd4215c7f2490e)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/tracker-miners.xml
===================================================================
--- gnome/platform/tracker-miners.xml	(revision 8a9f48c133b7afaf4353835a71e9ea5582dda38f)
+++ gnome/platform/tracker-miners.xml	(revision 44621c7fed89d859b914da41a1cd4215c7f2490e)
@@ -7,8 +7,8 @@
   <!ENTITY tracker-miners-download-http "&gnome-download-http;/tracker-miners/2.3/tracker-miners-&tracker-miners-version;.tar.xz">
   <!ENTITY tracker-miners-download-ftp  "&gnome-download-ftp;/tracker-miners/2.3/tracker-miners-&tracker-miners-version;.tar.xz">
-  <!ENTITY tracker-miners-md5sum        "0321d8f4ad27e3fccdbc8384e5b3cb83">
+  <!ENTITY tracker-miners-md5sum        "f312f2f6f9098bf6cdd0f02210e9b81d">
   <!ENTITY tracker-miners-size          "3.0 MB">
-  <!ENTITY tracker-miners-buildsize     "30 MB (with tests)">
-  <!ENTITY tracker-miners-time          "0.4 SBU (with tests)">
+  <!ENTITY tracker-miners-buildsize     "20 MB (with tests)">
+  <!ENTITY tracker-miners-time          "0.6 SBU (with tests)">
 ]>
 
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -67,14 +67,4 @@
         <para>
           Estimated build time: &tracker-miners-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required patch:
-          <ulink url="&patch-root;/tracker-miners-&tracker-miners-version;-upstream_fixes-1.patch"/>
         </para>
       </listitem>
@@ -126,10 +116,4 @@
 
     <para>
-      First, apply some fixes from upstream that fix deadlock bugs:
-    </para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../tracker-miners-&tracker-miners-version;-upstream_fixes-1.patch</userinput></screen>
-
-    <para>
       Install <application>Tracker-miners</application> by running the following
       commands:
@@ -146,6 +130,9 @@
       To test the results, as the root user,
       issue: <command>ninja test</command>.
-      <!--Three tests, test-image-1, xmp-loaded-1, and
-          test_external_cue_sheet, are known to fail.-->
+      Eight tests, test-image-1, 300-miner-basic-ops, 310-fts-basic,
+      310-fts-basic, 311-fts-file-operations, 401-extractor-flac-cuesheet,
+      500-writeback-images, 501-writeback-image-details, and
+      502-writeback-audio are known to fail due to internal test
+      suite problems.
     </para>
 
Index: gnome/platform/tracker.xml
===================================================================
--- gnome/platform/tracker.xml	(revision 8a9f48c133b7afaf4353835a71e9ea5582dda38f)
+++ gnome/platform/tracker.xml	(revision 44621c7fed89d859b914da41a1cd4215c7f2490e)
@@ -9,8 +9,8 @@
   <!ENTITY tracker-download-ftp
            "&gnome-download-ftp;/tracker/2.3/tracker-&tracker-version;.tar.xz">
-  <!ENTITY tracker-md5sum        "5e75b611b190c4cebf53e3de15266429">
+  <!ENTITY tracker-md5sum        "cf33599c3f363cfdc07fd49888051378">
   <!ENTITY tracker-size          "1.5 MB">
-  <!ENTITY tracker-buildsize     "194 MB (with tests)">
-  <!ENTITY tracker-time          "1.0 SBU (with tests)">
+  <!ENTITY tracker-buildsize     "195 MB (with tests)">
+  <!ENTITY tracker-time          "1.2 SBU (with tests)">
 ]>
 
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>