Index: x/installing/xorg.xml
===================================================================
--- x/installing/xorg.xml	(revision 518538fb6da0712dba59bfa19a94f52bcb516987)
+++ x/installing/xorg.xml	(revision 47603ac177e6dd2d036c8c43f29516eee00f6a9a)
@@ -59,9 +59,14 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&xorg-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&xorg-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &xorg-size;</para></listitem>
-<listitem><para>Estimated disk space required: &xorg-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &xorg-time;</para></listitem></itemizedlist>
+<listitem><para>Download (HTTP): 
+<ulink url="&xorg-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&xorg-download-ftp;"/></para></listitem>
+<listitem><para>Download size: 
+&xorg-size;</para></listitem>
+<listitem><para>Estimated disk space required: 
+&xorg-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&xorg-time;</para></listitem></itemizedlist>
 </sect3>
  
@@ -201,12 +206,15 @@
  
 /* System Related Information.  If you read and configure only one
- * section then it should be this one.  The Intel architecture defaults are
- * set for a i686 and higher.  Axp is for the Alpha architecture and Ppc is
- * for the Power PC.  AMD64 is for the Opteron processor. Note that there have 
- * been reports that the Ppc optimization line causes segmentation faults during 
- * build.  If that happens, try building without the DefaultGcc2PpcOpt line.  ***********/
- 
-/* #define DefaultGcc2i386Opt -O2 -fno-strength-reduce -fno-strict-aliasing -march=i686 */
-/* #define DefaultGccAMD64Opt -O2 -fno-strength-reduce -fno-strict-aliasing */
+ * section then it should be this one.  The Intel architecture defaults 
+ * are set for a i686 and higher.  Axp is for the Alpha architecture 
+ * and Ppc is for the Power PC.  AMD64 is for the Opteron processor. 
+ * Note that there have been reports that the Ppc optimization line 
+ * causes segmentation faults during build.  If that happens, try 
+ * building without the DefaultGcc2PpcOpt line.  ***********/
+ 
+/* #define DefaultGcc2i386Opt -O2 -fno-strength-reduce \
+                              -fno-strict-aliasing -march=i686 */
+/* #define DefaultGccAMD64Opt -O2 -fno-strength-reduce \
+                              -fno-strict-aliasing */
 /* #define DefaultGcc2AxpOpt  -O2 -mcpu=ev6 */
 /* #define DefaultGcc2PpcOpt  -O2 -mcpu=750 */
@@ -219,7 +227,7 @@
 
 /*
- * Which drivers to build.  When building a static server, each of these
- * will be included in it.  When building the loadable server each of these
- * modules will be built.
+ * Which drivers to build.  When building a static server, each of 
+ * these will be included in it.  When building the loadable server 
+ * each of these modules will be built.
  *
 #define XF86CardDrivers         mga glint nv tga s3virge sis rendition \
@@ -227,7 +235,7 @@
                                 cirrus vmware tseng trident chips apm \
                                 GlideDriver fbdev i128 \
-                                ati AgpGartDrivers DevelDrivers ark cyrix \
-                                siliconmotion \
-                                vesa vga XF86OSCardDrivers XF86ExtraCardDrivers
+                                ati AgpGartDrivers DevelDrivers ark \
+                                cyrix siliconmotion vesa vga \
+                                XF86OSCardDrivers XF86ExtraCardDrivers
 */
 
@@ -237,6 +245,6 @@
 #define XInputDrivers           mouse keyboard acecad calcomp citron \
                                 digitaledge dmc dynapro elographics \
-                                microtouch mutouch penmount spaceorb summa \
-                                wacom void magictouch aiptek
+                                microtouch mutouch penmount spaceorb \
+                                summa wacom void magictouch aiptek
  */
 