Index: server/other/other.xml
===================================================================
--- server/other/other.xml	(revision ba432fde1c2237e3bb1103d132f5b41db3c854ba)
+++ server/other/other.xml	(revision 47969a600348365dd8aa31f29014e715b95de6b8)
@@ -27,4 +27,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="openldap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="rsync.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="virtuoso.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="soprano.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cvsserver.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="svnserver.xml"/>
Index: server/other/soprano.xml
===================================================================
--- server/other/soprano.xml	(revision 47969a600348365dd8aa31f29014e715b95de6b8)
+++ server/other/soprano.xml	(revision 47969a600348365dd8aa31f29014e715b95de6b8)
@@ -0,0 +1,192 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY soprano-download-http "&sourceforge-repo;/soprano/soprano-&soprano-version;.tar.bz2">
+  <!ENTITY soprano-download-ftp  " ">
+  <!ENTITY soprano-md5sum        "bef6147f1245cd99aa9ad1a37f7d48ac">
+  <!ENTITY soprano-size          "1.9 MB">
+  <!ENTITY soprano-buildsize     "23 MB">
+  <!ENTITY soprano-time          "1.1 SBU">
+]>
+
+<sect1 id="soprano" xreflabel="soprano-&soprano-version;">
+  <?dbhtml filename="soprano.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Soprano-&soprano-version;</title>
+
+  <indexterm zone="soprano">
+    <primary sortas="a-soprano">soprano</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Soprano</title>
+
+    <para><application>Soprano</application> Software library that provides 
+    an object oriented C++/Qt4 framework for RDF data.</para>
+
+    &lfs67_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&soprano-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&soprano-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &soprano-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &soprano-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &soprano-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &soprano-time;</para>
+      </listitem>
+    </itemizedlist>
+<!--
+no longer required in 4.6
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Required patch: <ulink
+        url="&equinox-download;/soprano-&soprano-version;-redland_fix-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+-->
+    <bridgehead renderas="sect3">Soprano Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+    <xref linkend="qt4"/>,
+    <xref linkend="cmake"/>,
+    <xref linkend="rasqal"/>,
+    <xref linkend="raptor"/>,
+    <xref linkend="redland"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+    <xref linkend="clucene"/>,
+    <xref linkend="jdk"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/soprano"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Soprano</title>
+
+    <para>Install <application>soprano</application> by running the following
+    commands:</para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd build</userinput></screen>
+
+    <para>Prepare the package for compilation:</para>
+       
+<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=/usr .. &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+</sect2>
+<!--
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><option>- -xyz</option>: This option is set for ...</para>
+
+  </sect2>
+-->
+  <sect2 role="configuration">
+    <title>Configuration of Soprano</title>
+
+    <para>Create a directory where <application>soprano</application> places some
+    runtime data:</para>
+    
+<screen role="root"><userinput>install -m755 -d /srv/soprano</userinput></screen>
+
+    <para>The <application>soprano</application>d accepts some parameter. To not
+    hardcode them in the startscript, create a configuratuion file:</para>
+
+<screen role="root"><userinput>cat &gt; /etc/sysconfig/soprano &lt;&lt;EOF
+# Begin /etc/sysconfig/soprano
+
+SOPRANO_STORAGE="/srv/soprano"
+SOPRANO_BACKEND="virtuosobackend"        # virtuoso, sesame2, redland
+SOPRANO_OPTIONS="--with-index"           # using CLucene index
+#SOPRANO_OPTIONS="$SOPRANO_OPTIONS --port 4711"  # Default port is 5000
+
+# End /etc/sysconfig/soprano
+EOF</userinput></screen>
+
+    <sect3 id="soprano-init">
+      <title>Boot Script</title>
+
+      <para>In order to get <application>Soprano</application> started
+      automatically when the system is booted, install the
+      <filename>/etc/rc.d/init.d/soprano</filename> init script included
+      in the <xref linkend="bootscripts"/> package.</para>
+
+      <indexterm zone="soprano soprano-init">
+        <primary sortas="f-soprano">soprano</primary>
+      </indexterm>
+
+<screen role="root"><userinput>make install-soprano</userinput></screen>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>sopranod, sopranocmd, onto2vocabularyclass</seg>
+        <seg>libsoprano.so, libsopranoclient.so, libsopranoserver.so and
+        several other libs in /usr/lib/soprano/</seg>
+        <seg>/usr/{lib,share}/soprano</seg>
+      </seglistitem>
+    </segmentedlist>
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="a-soprano">
+        <term><command>soprano</command></term>
+        <listitem>
+          <para>is a testing utility for soprano-generated build trees.</para>
+          <indexterm zone="a-soprano soprano">
+            <primary sortas="b-soprano">soprano</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+  </sect2>
+
+</sect1>
Index: server/other/virtuoso.xml
===================================================================
--- server/other/virtuoso.xml	(revision 47969a600348365dd8aa31f29014e715b95de6b8)
+++ server/other/virtuoso.xml	(revision 47969a600348365dd8aa31f29014e715b95de6b8)
@@ -0,0 +1,237 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY virtuoso-download-http "&sourceforge-repo;/virtuoso/virtuoso-opensource-&virtuoso-version;.tar.gz">
+  <!ENTITY virtuoso-download-ftp  " ">
+  <!ENTITY virtuoso-md5sum        "0519e1f104428e0c8b25fad89e3c57ef">
+  <!ENTITY virtuoso-size          "72 MB">
+  <!ENTITY virtuoso-buildsize     "702 MB">
+  <!ENTITY virtuoso-time          "8.3 SBU">
+]>
+
+<sect1 id="virtuoso" xreflabel="virtuoso-&virtuoso-version;">
+  <?dbhtml filename="virtuoso.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Virtuoso-&virtuoso-version;</title>
+
+  <indexterm zone="virtuoso">
+    <primary sortas="a-virtuoso">virtuoso</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Virtuoso</title>
+
+    <para><application>Virtuoso</application> is a cross-platform server that 
+    implements multiple server-side protocols as part of a single-server product 
+    offering. There is one server product that offers WebDAV/HTTP, Application, 
+    and Database-server functionality alongside Native XML Storage, Universal 
+    Data-Access Middleware, Business Process Integration and a Web-Services 
+    Platform.</para>
+
+    &lfs67_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&virtuoso-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&virtuoso-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &virtuoso-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &virtuoso-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &virtuoso-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &virtuoso-time;</para>
+      </listitem>
+    </itemizedlist>
+
+<!--
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Required patch: <ulink
+        url="&patch-root;/virtuoso-&virtuoso-version;-fixes-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+-->
+
+    <bridgehead renderas="sect3">Virtuoso Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+    <xref linkend="net-tools"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+    <xref linkend="libiodbc"/>,
+    <xref linkend="libxml2"/>,
+    <xref linkend="openssl"/>,
+    <xref linkend="openldap"/>,
+    <xref linkend="jdk"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+    <xref linkend="imagemagick"/>,
+    <xref linkend="python"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/virtuoso"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Virtuoso</title>
+
+    <para>Install <application>virtuoso</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr \
+            --sysconfdir=/etc \
+            --localstatedir=/var \
+            --without-internal-zlib \
+            --program-transform-name="s/isql/isql-v/" &amp;&amp;
+make</userinput></screen>
+
+    <para><application>Virtuoso</application> does not come with a callable test
+    suite. An intensive check routine is part of the build process.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><option>--without-internal-zlib</option>: This option is set to use
+    the installed <application>zlib</application> and not the bundled
+    one.</para>
+
+    <para><option>--program-transform-name</option>: Both, 
+    <application>Virtuoso</application> as well as <application>unixODBC</application>
+    installs a program named <command>isql</command>. Use this option to rename
+    <application>virtuoso</application>s program to <command>isql-v</command></para>
+
+    <para><option>--enable-python</option>Add this option if 
+    <application>Python</application> is installed. It enables the
+    use of <application>Python</application> by 
+    <application>Virtuoso</application>.</para>
+
+    <para><option>--with-jdk4</option>: Add this option to specify the path
+    to the <xref linkend="jdk"/> and to enable making use of Java.</para>
+
+    <para><option>--with-port</option>: Add this is you want that 
+    <application>virtuoso</application> is listening on another port than
+    1111.</para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuration</title>
+
+    <sect3 id="virtuoso-init">
+      <title>Boot Script</title>
+
+      <para>If you want the <application>Virtuoso</application> server to
+      start automatically when the system is booted, install the
+      <filename>/etc/rc.d/init.d/virtuoso</filename> init script included
+      in the <xref linkend="bootscripts"/> package.</para>
+
+      <indexterm zone="virtuoso virtuoso-init">
+        <primary sortas="f-virtuoso">virtuoso</primary>
+      </indexterm>
+
+<screen role="root"><userinput>make install-virtuoso</userinput></screen>
+
+    </sect3>
+
+    <sect3 id="virtuoso-users">
+      <title>User accounts</title>
+      
+      <para>When the server is started using the start script, there is a web 
+      interface to <application>Virtuoso</application> at 
+      <ulink url="http://localhost:8890/"/>. Several links are pointing to 
+      the OpenLink site, but the <application>Conductor</application> at 
+      <ulink url="http://localhost:8890/conductor/"/>. This is a full featured
+      configuration site for <application>Virtuoso</application>. Login as 
+      <systemitem class="username">dba</systemitem> with the predefined 
+      password <literal>dba</literal>.</para>
+
+      <warning>
+        <title>Change password</title>
+
+        <para>Remember to immediatly change the password of user
+        <systemitem class="username">dba</systemitem> as well as of all other
+        predefined users. Click on <literal>[System Admin]</literal> and 
+        than on <literal>[User Accounts]</literal>.</para>
+
+      </warning>
+    </sect3>
+       
+  </sect2>
+  
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>virtuoso-t, isql-v{,w}, virt_mail, inifile</seg>
+        <seg>several shared and static libraries</seg>
+        <seg>/var/lib/virtuoso, /usr/lib/{hibernate,virtuoso,jdbc-{2,3,4}.0,sesame,jena},
+        /usr/share/virtuoso</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="virtuoso-t">
+        <term><command>virtuoso-t</command></term>
+        <listitem>
+          <para>is the Universial Server daemon.</para>
+          <indexterm zone="virtuoso virtuoso-t">
+            <primary sortas="b-virtuoso-t">virtuoso-t</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="isql-v">
+        <term><command>isql-v</command></term>
+        <listitem>
+          <para>is a interactive SQL utility.</para>
+          <indexterm zone="virtuoso isql-v">
+            <primary sortas="b-isql-v">isql-v</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>