Index: gnome-systemd/desktop/gnome-shell-extensions.xml
===================================================================
--- gnome-systemd/desktop/gnome-shell-extensions.xml	(revision 60eca8b1b21781bf892eda0cf8ed4b4920ab9f8b)
+++ gnome-systemd/desktop/gnome-shell-extensions.xml	(revision 48160fd641bb9cfbc474c481a7fc9782fe2e6918)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-shell-extensions-download-http
-           "&gnome-download-http;/gnome-shell-extensions/&gnome-minor;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
+           "&gnome-download-http;/gnome-shell-extensions/&gnome-minor14;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
   <!ENTITY gnome-shell-extensions-download-ftp
-           "&gnome-download-ftp;/gnome-shell-extensions/&gnome-minor;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
-  <!ENTITY gnome-shell-extensions-md5sum        "4b3ba9920840c3ac63ce6934a7a415f6">
-  <!ENTITY gnome-shell-extensions-size          "208 KB">
-  <!ENTITY gnome-shell-extensions-buildsize     "4.2 MB">
+           "&gnome-download-ftp;/gnome-shell-extensions/&gnome-minor14;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
+  <!ENTITY gnome-shell-extensions-md5sum        "450ba17f6213728f20b4223cda113f2f">
+  <!ENTITY gnome-shell-extensions-size          "224 KB">
+  <!ENTITY gnome-shell-extensions-buildsize     "4.7 MB">
   <!ENTITY gnome-shell-extensions-time          "less than 0.1 SBU">
 ]>
Index: gnome-systemd/desktop/gnome-shell.xml
===================================================================
--- gnome-systemd/desktop/gnome-shell.xml	(revision 60eca8b1b21781bf892eda0cf8ed4b4920ab9f8b)
+++ gnome-systemd/desktop/gnome-shell.xml	(revision 48160fd641bb9cfbc474c481a7fc9782fe2e6918)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-shell-download-http
-           "&gnome-download-http;/gnome-shell/&gnome-minor;/gnome-shell-&gnome-shell-version;.tar.xz">
+           "&gnome-download-http;/gnome-shell/&gnome-minor14;/gnome-shell-&gnome-shell-version;.tar.xz">
   <!ENTITY gnome-shell-download-ftp
-           "&gnome-download-ftp;/gnome-shell/&gnome-minor;/gnome-shell-&gnome-shell-version;.tar.xz">
-  <!ENTITY gnome-shell-md5sum        "28a8f52ff3554bfbc7bc2b48cc832378">
-  <!ENTITY gnome-shell-size          "1.5 MB">
-  <!ENTITY gnome-shell-buildsize     "77 MB">
-  <!ENTITY gnome-shell-time          "0.8 SBU">
+           "&gnome-download-ftp;/gnome-shell/&gnome-minor14;/gnome-shell-&gnome-shell-version;.tar.xz">
+  <!ENTITY gnome-shell-md5sum        "ec62c64431ccfc409ff43aa53c84065b">
+  <!ENTITY gnome-shell-size          "1.6 MB">
+  <!ENTITY gnome-shell-buildsize     "88 MB">
+  <!ENTITY gnome-shell-time          "0.6 SBU">
 ]>
 
@@ -100,10 +100,9 @@
     <bridgehead renderas="sect4">Runtime Dependencies</bridgehead>
     <para role="required">
+      <xref linkend="adwaita-icon-theme"/>,
       <xref linkend="dconf"/>,
       <xref linkend="gdm"/>,
       <xref linkend="gnome-backgrounds"/>,
-      <xref linkend="gnome-icon-theme"/>,
-      <xref linkend="gnome-icon-theme-extras"/>,
-      <xref linkend="gnome-icon-theme-symbolic"/>,
+      <xref linkend="gnome-menus"/>,
       <xref linkend="gnome-themes-standard"/>, and
       <xref linkend="telepathy-mission-control"/>
@@ -160,11 +159,10 @@
         </seg>
        <seg>
-          None
+          libgnome-shell-browser-plugin.so (Browser Plugin)
         </seg>
         <seg>
           /usr/lib/gnome-shell,
-          /usr/share/gnome-shell,
-          /usr/share/gtk-doc/html/shell, and
-          /usr/share/gtk-doc/html/st
+          /usr/share/gnome-shell, and
+          /usr/share/gtk-doc/html/{shell,st}
         </seg>
       </seglistitem>
Index: gnome-systemd/desktop/mutter.xml
===================================================================
--- gnome-systemd/desktop/mutter.xml	(revision 60eca8b1b21781bf892eda0cf8ed4b4920ab9f8b)
+++ gnome-systemd/desktop/mutter.xml	(revision 48160fd641bb9cfbc474c481a7fc9782fe2e6918)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY mutter-download-http "&gnome-download-http;/mutter/&gnome-minor;/mutter-&mutter-version;.tar.xz">
-  <!ENTITY mutter-download-ftp  "&gnome-download-ftp;/mutter/&gnome-minor;/mutter-&mutter-version;.tar.xz">
-  <!ENTITY mutter-md5sum        "cdc714426c246e447e62755df0157783">
-  <!ENTITY mutter-size          "1.7 MB">
-  <!ENTITY mutter-buildsize     "52 MB">
-  <!ENTITY mutter-time          "0.5 SBU">
+  <!ENTITY mutter-download-http "&gnome-download-http;/mutter/&gnome-minor14;/mutter-&mutter-version;.tar.xz">
+  <!ENTITY mutter-download-ftp  "&gnome-download-ftp;/mutter/&gnome-minor14;/mutter-&mutter-version;.tar.xz">
+  <!ENTITY mutter-md5sum        "109b17c68f94d0424d31cddfd4012417">
+  <!ENTITY mutter-size          "1.6 MB">
+  <!ENTITY mutter-buildsize     "62 MB">
+  <!ENTITY mutter-time          "0.8 SBU">
 ]>
 
@@ -32,7 +32,7 @@
     <para>
       <application>Mutter</application> is the window manager for
-      <application>GNOME</application>. It is not invoked directly, but from
-      <application>gnome-session</application> (on a machine with a hardware
-      accelerated video driver).
+      <application>GNOME</application>. It is not invoked directly,
+      but from <application>GNOME Session</application> (on a
+      machine with a hardware accelerated video driver).
     </para>
 
@@ -79,4 +79,5 @@
       <xref linkend="clutter"/>,
       <xref linkend="gnome-desktop"/>,
+      <xref linkend="libxkbcommon"/>,
       <xref linkend="upower"/>, and
       <xref linkend="zenity"/>
@@ -88,4 +89,15 @@
       <xref linkend="libcanberra"/>, and
       <xref linkend="startup-notification"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended (Required to
+    build the Wayland compositor)</bridgehead>
+    <para role="recommended">
+      <xref linkend="libinput"/>,
+      <xref linkend="wayland"/>, and
+      <xref linkend="xorg-server"/> (with <command>Xwayland</command>).
+      Additionally, <xref linkend="cogl"/>, <xref linkend="clutter"/>
+      and <xref linkend="gtk3"/> need to be built with
+      <application>Wayland</application> support.
     </para>
 
@@ -146,6 +158,7 @@
         </seg>
         <seg>
-          /usr/include/mutter, and
-          /usr/lib/mutter
+          /usr/include/mutter,
+          /usr/lib/mutter, and
+          /usr/share/gtk-doc/html/meta
         </seg>
       </seglistitem>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 60eca8b1b21781bf892eda0cf8ed4b4920ab9f8b)
+++ gnome.ent	(revision 48160fd641bb9cfbc474c481a7fc9782fe2e6918)
@@ -63,7 +63,7 @@
 <!ENTITY gnome-settings-daemon-version "3.14.1">
 <!ENTITY gnome-control-center-version "3.14.1">
-<!ENTITY mutter-version               "3.12.2">
-<!ENTITY gnome-shell-version          "3.12.2">
-<!ENTITY gnome-shell-extensions-version "3.12.2">
+<!ENTITY mutter-version               "3.14.1.5">
+<!ENTITY gnome-shell-version          "3.14.1.5">
+<!ENTITY gnome-shell-extensions-version "3.14.1">
 <!ENTITY gnome-session-version        "3.12.1">
 <!ENTITY gdm-version                  "3.12.2">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 60eca8b1b21781bf892eda0cf8ed4b4920ab9f8b)
+++ introduction/welcome/changelog.xml	(revision 48160fd641bb9cfbc474c481a7fc9782fe2e6918)
@@ -51,4 +51,7 @@
         </listitem>
         <listitem>
+          <para>[krejzi] - Updated to mutter-3.14.1.5, gnome-shell-3.14.1.5 and gnome-shell-extensions-3.14.1.</para>
+        </listitem>
+        <listitem>
           <para>[krejzi] - Updated to libreoffice-4.3.3.</para>
         </listitem>