Index: general/prog/gc.xml
===================================================================
--- general/prog/gc.xml	(revision b4f896358a31dd928dc3ca190357a64b124b9bb7)
+++ general/prog/gc.xml	(revision 49887e89742615e66caa79aaa4556c58c73df345)
@@ -7,5 +7,5 @@
   <!ENTITY gc-download-http "https://www.hboehm.info/gc/gc_source/gc-&gc-version;.tar.gz">
   <!ENTITY gc-download-ftp  " ">
-  <!ENTITY gc-md5sum        "67a5093e2f9f381bd550aa891d00b54b">
+  <!ENTITY gc-md5sum        "4878e629f482600f2060f30853c7b415">
   <!ENTITY gc-size          "1.1 MB">
   <!ENTITY gc-buildsize     "11 MB (with tests)">
Index: general/sysutils/autofs.xml
===================================================================
--- general/sysutils/autofs.xml	(revision b4f896358a31dd928dc3ca190357a64b124b9bb7)
+++ general/sysutils/autofs.xml	(revision 49887e89742615e66caa79aaa4556c58c73df345)
@@ -7,7 +7,7 @@
   <!ENTITY autofs-download-http "&kernel-dl;/linux/daemons/autofs/v5/autofs-&autofs-version;.tar.xz">
   <!ENTITY autofs-download-ftp  " ">
-  <!ENTITY autofs-md5sum        "6bd1ea8a9e5dc3a7dc95119e3bbaf52c">
-  <!ENTITY autofs-size          "324 KB">
-  <!ENTITY autofs-buildsize     "6.7 MB">
+  <!ENTITY autofs-md5sum        "72d81645d39a857c3d16bd3a32e9cb44">
+  <!ENTITY autofs-size          "320 KB">
+  <!ENTITY autofs-buildsize     "6.5 MB">
   <!ENTITY autofs-time          "0.1 SBU">
 ]>
@@ -127,16 +127,4 @@
 
     <title>Installation of Autofs</title>
-
-    <para>Some lines of code need to be removed for this package to be
-    consistent with glibc-2.34. We will remove these lines with some sed commands
-    by line numbers showing slightly different methods.</para>
-
-<screen><userinput>sed -e '87d'        \
-    -e '2618,2644d' \
-    -i daemon/automount.c &amp;&amp;
-
-sed -i '1178,1180d' daemon/state.c &amp;&amp;
-sed -i '275,+2 d'   lib/alarm.c</userinput></screen>
-
 
     <para>
@@ -393,5 +381,5 @@
         <seg>
           lookup_dir.so, lookup_file.so, lookup_files.so, lookup_hosts.so,
-          lookup_ldap.so, lookup_multi.so, lookup_nis.so, lookup_nisplus.so,
+          lookup_ldap.so (optional), lookup_multi.so, lookup_nis.so,
           lookup_program.so, lookup_userhome.so, lookup_yp.so, mount_afs.so,
           mount_autofs.so, mount_bind.so, mount_changer.so, mount_ext2.so,
@@ -399,5 +387,5 @@
           mount_nfs4.so, parse_amd.so, and parse_sun.so
            </seg>
-        <seg>/usr/lib/autofs, /etc/autofs</seg>
+        <seg>/usr/lib/autofs and /etc/autofs</seg>
       </seglistitem>
     </segmentedlist>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b4f896358a31dd928dc3ca190357a64b124b9bb7)
+++ introduction/welcome/changelog.xml	(revision 49887e89742615e66caa79aaa4556c58c73df345)
@@ -43,4 +43,30 @@
     -->
     <listitem>
+      <para>November 5th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to libcap-pam-2.60. Fixes
+          <ulink url="&blfs-ticket-root;15695">#15695</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to autofs-5.1.8. Fixes
+          <ulink url="&blfs-ticket-root;15687">#15687</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to gc-8.0.6. Fixes
+          <ulink url="&blfs-ticket-root;15685">#15685</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to mpg123-1.29.2. Fixes
+          <ulink url="&blfs-ticket-root;15683">#15683</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to xscreensaver-6.02. Fixes
+          <ulink url="&blfs-ticket-root;15670">#15670</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 2nd, 2021</para>
       <itemizedlist>
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision b4f896358a31dd928dc3ca190357a64b124b9bb7)
+++ multimedia/audioutils/mpg123.xml	(revision 49887e89742615e66caa79aaa4556c58c73df345)
@@ -7,8 +7,8 @@
   <!ENTITY mpg123-download-http "&sourceforge-dl;/mpg123/mpg123-&mpg123-version;.tar.bz2">
   <!ENTITY mpg123-download-ftp  " ">
-  <!ENTITY mpg123-md5sum        "e4fce200d8072e6cfdeb1ec4c98655a0">
+  <!ENTITY mpg123-md5sum        "05137a60b40d66bc185b1e106815aec7">
   <!ENTITY mpg123-size          "1.0 MB">
-  <!ENTITY mpg123-buildsize     "15 MB">
-  <!ENTITY mpg123-time          "0.2 SBU">
+  <!ENTITY mpg123-buildsize     "19 MB (with tests)">
+  <!ENTITY mpg123-time          "0.3 SBU (with tests)">
 ]>
 
@@ -139,5 +139,5 @@
         </seg>
         <seg>
-          libmpg123.so and libout123.so
+          libmpg123.so, libout123.so, and libsyn123
         </seg>
         <seg>
Index: packages.ent
===================================================================
--- packages.ent	(revision b4f896358a31dd928dc3ca190357a64b124b9bb7)
+++ packages.ent	(revision 49887e89742615e66caa79aaa4556c58c73df345)
@@ -15,5 +15,5 @@
 <!-- Archived: <!ENTITY haveged-version              "1.9.14"> -->
 <!ENTITY iptables-version             "1.8.7">
-<!ENTITY libcap-version               "2.59">
+<!ENTITY libcap-version               "2.60">
 <!ENTITY liboauth-version             "1.0.3">
 <!ENTITY linux-pam-version            "1.5.2">
@@ -279,5 +279,5 @@
 <!ENTITY acpid-version                "2.0.33">
 <!ENTITY at-version                   "3.2.2">
-<!ENTITY autofs-version               "5.1.7">
+<!ENTITY autofs-version               "5.1.8">
 <!ENTITY bluez-version                "5.61">
 <!ENTITY bubblewrap-version           "0.5.0">
@@ -342,5 +342,5 @@
 <!ENTITY expect-version               "5.45.4">
 <!ENTITY gcc-version                  "11.2.0">
-<!ENTITY gc-version                   "8.0.4">
+<!ENTITY gc-version                   "8.0.6">
 <!ENTITY gdb-version                  "11.1">
 <!ENTITY git-version                  "2.33.1">
@@ -962,5 +962,5 @@
 <!ENTITY xchat-version                "2.8.8">
 <!ENTITY xdg-utils-version            "1.1.3">
-<!ENTITY xscreensaver-version         "6.01">
+<!ENTITY xscreensaver-version         "6.02">
 
 <!-- Part XI -->
@@ -1034,5 +1034,5 @@
 
 <!-- Chapter 43 -->
-<!ENTITY mpg123-version               "1.28.2">
+<!ENTITY mpg123-version               "1.29.2">
 <!ENTITY vorbistools-version          "1.4.2">
 <!ENTITY lame-version                 "3.100">
Index: postlfs/security/libcap.xml
===================================================================
--- postlfs/security/libcap.xml	(revision b4f896358a31dd928dc3ca190357a64b124b9bb7)
+++ postlfs/security/libcap.xml	(revision 49887e89742615e66caa79aaa4556c58c73df345)
@@ -7,7 +7,7 @@
   <!ENTITY libcap-download-http "&kernel-dl;/linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
   <!ENTITY libcap-download-ftp  " ">
-  <!ENTITY libcap-md5sum        "585540ad79ee2692722877c0c528d165">
-  <!ENTITY libcap-size          "168 KB">
-  <!ENTITY libcap-buildsize     "1.9 MB">
+  <!ENTITY libcap-md5sum        "1eaaf6af4e0ebd638cd876644c8c68c4">
+  <!ENTITY libcap-size          "167 KB">
+  <!ENTITY libcap-buildsize     "2.0 MB">
   <!ENTITY libcap-time          "less than 0.1 SBU">
 ]>
Index: xsoft/other/xscreensaver.xml
===================================================================
--- xsoft/other/xscreensaver.xml	(revision b4f896358a31dd928dc3ca190357a64b124b9bb7)
+++ xsoft/other/xscreensaver.xml	(revision 49887e89742615e66caa79aaa4556c58c73df345)
@@ -7,8 +7,8 @@
   <!ENTITY xscreensaver-download-http "https://www.jwz.org/xscreensaver/xscreensaver-&xscreensaver-version;.tar.gz">
   <!ENTITY xscreensaver-download-ftp  " ">
-  <!ENTITY xscreensaver-md5sum        "a78738a034c7dc1c7960048c8a670588">
-  <!ENTITY xscreensaver-size          "27 MB">
-  <!ENTITY xscreensaver-buildsize     "244 MB">
-  <!ENTITY xscreensaver-time          "0.3 SBU (Using parallelism=4)">
+  <!ENTITY xscreensaver-md5sum        "f86b56f5459182fbcd2cbf49351e4a02">
+  <!ENTITY xscreensaver-size          "22 MB">
+  <!ENTITY xscreensaver-buildsize     "329 MB">
+  <!ENTITY xscreensaver-time          "0.4 SBU (Using parallelism=4)">
 ]>
 
@@ -206,7 +206,6 @@
       <seglistitem>
         <seg>
-          xscreensaver, xscreensaver-command, xscreensaver-demo, xscreensaver-getimage,
-          xscreensaver-getimage-file, xscreensaver-getimage-video,
-          xscreensaver-gl-helper, xscreensaver-settings and xscreensaver-text
+          xscreensaver, xscreensaver-command, xscreensaver-demo, and
+          xscreensaver-settings
         </seg>
         <seg>
@@ -262,69 +261,4 @@
       </varlistentry>
 
-      <varlistentry id="xscreensaver-getimage">
-        <term><command>xscreensaver-getimage</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            modules that manipulate images
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-getimage">
-            <primary sortas="b-xscreensaver-getimaage">xscreensaver-getimage</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xscreensaver-getimage-file">
-        <term><command>xscreensaver-getimage-file</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            modules that manipulate images
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-getimage-file">
-            <primary sortas="b-xscreensaver-getimaage-file">xscreensaver-getimage-file</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xscreensaver-getimage-video">
-        <term><command>xscreensaver-getimage-video</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            modules that manipulate images
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-getimage-video">
-            <primary sortas="b-xscreensaver-getimaage-video">xscreensaver-getimage-video</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xscreensaver-gl-helper">
-        <term><command>xscreensaver-gl-helper</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            OpenGL modules
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-gl-helper">
-            <primary sortas="b-xscreensaver-gl-helper">xscreensaver-gl-helper</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xscreensaver-gl-visual">
-        <term><command>xscreensaver-gl-visual</command></term>
-        <listitem>
-          <para>
-            is a helper program for the <command>xscreensaver</command>
-            OpenGL modules to figure out which X visual to use
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-gl-visual">
-            <primary sortas="b-xscreensaver-gl-visual">xscreensaver-gl-visual</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xscreensaver-settings">
         <term><command>xscreensaver-settings</command></term>
@@ -339,17 +273,4 @@
         </listitem>
       </varlistentry>
-
-      <varlistentry id="xscreensaver-text">
-        <term><command>xscreensaver-text</command></term>
-        <listitem>
-          <para>
-            prints some text to stdout, for use by screen savers
-          </para>
-          <indexterm zone="xscreensaver xscreensaver-text">
-            <primary sortas="b-xscreensaver-text">xscreensaver-text</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
     </variablelist>
 