Index: general/genlib/brotli.xml
===================================================================
--- general/genlib/brotli.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
+++ general/genlib/brotli.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
@@ -174,5 +174,7 @@
         </seg>
         <seg>
-          libbrotlicommon{-static.a,.so}, libbrotlidec{,-static,.so} and libbrotlienc{,-static,.so}
+          libbrotlicommon{-static.a,.so}, 
+          libbrotlidec{,-static.a,.so}, and
+          libbrotlienc{,-static.a,.so}
         </seg>
         <seg>
Index: general/genlib/libusb.xml
===================================================================
--- general/genlib/libusb.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
+++ general/genlib/libusb.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
@@ -5,5 +5,5 @@
   %general-entities;
 
-  <!ENTITY libusb-download-http "https://github.com//libusb/libusb/releases/download/v&libusb-version;/libusb-&libusb-version;.tar.bz2">
+  <!ENTITY libusb-download-http "https://github.com/libusb/libusb/releases/download/v&libusb-version;/libusb-&libusb-version;.tar.bz2">
   <!ENTITY libusb-download-ftp  " ">
   <!ENTITY libusb-md5sum        "5bc27df16155302f308d409e73589872">
Index: general/genlib/libwacom.xml
===================================================================
--- general/genlib/libwacom.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
+++ general/genlib/libwacom.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
@@ -7,7 +7,7 @@
   <!ENTITY libwacom-download-http "https://github.com/linuxwacom/libwacom/releases/download/libwacom-&libwacom-version;/libwacom-&libwacom-version;.tar.bz2">
   <!ENTITY libwacom-download-ftp  " ">
-  <!ENTITY libwacom-md5sum        "1b0ee3f541433fc6df562cce314986da">
+  <!ENTITY libwacom-md5sum        "364bd470a35334b1a7fce70a359796d5">
   <!ENTITY libwacom-size          "504 KB">
-  <!ENTITY libwacom-buildsize     "9.6 MB (with tests)">
+  <!ENTITY libwacom-buildsize     "7.1 MB (with tests)">
   <!ENTITY libwacom-time          "less than 0.1 SBU (with tests)">
 ]>
@@ -87,6 +87,7 @@
       <xref linkend="doxygen"/>,
       <xref linkend="git"/>,
-      <xref linkend="librsvg"/>, and
-      <xref linkend="valgrind"/> (optional for some tests)
+      <xref linkend="librsvg"/>,
+      <xref linkend="valgrind"/> (optional for some tests), and
+      <ulink url="https://docs.pytest.org/en/stable/">pytest</ulink>
     </para>
 
@@ -99,4 +100,5 @@
     <title>Installation of libwacom</title>
 
+<!--  Fixed in libwacom-1.7
     <para>
       First, adapt the udev rules to upstream udev/kernel changes:
@@ -104,4 +106,5 @@
 
 <screen><userinput remap="pre">sed -i 's/ACTION!="add|change"/ACTION=="remove"/' tools/65-libwacom.rules.in</userinput></screen>
+-->
 
     <para>
@@ -113,9 +116,12 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr -Dudev-dir=/lib/udev .. &amp;&amp;
+meson --prefix=/usr -Dudev-dir=/lib/udev -Dtests=disabled .. &amp;&amp;
 ninja</userinput></screen>
 
     <para>
       To test the results, issue: <command>ninja test</command>.
+      To run additional tests, install 
+      <ulink url="https://docs.pytest.org/en/stable/">pytest</ulink> and remove
+      the "-Dtests=disabled" option from the meson line above.
     </para>
 
@@ -134,4 +140,11 @@
       <parameter>-Dudev-dir=/lib/udev</parameter>: This parameter sets the
       proper installation directory for udev rules.
+    </para>
+
+    <para>
+      <parameter>-Dtests=disabled</parameter>: This parameter disables some of
+      the more advanced tests because they require
+      <ulink url="https://docs.pytest.org/en/stable/">pytest</ulink> to work
+      properly.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
+++ introduction/welcome/changelog.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
@@ -46,4 +46,12 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to samba-4.13.3. Fixes
+          <ulink url="&blfs-ticket-root;14387">#14387</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libwacom-1.7. Fixes
+          <ulink url="&blfs-ticket-root;14394">#14394</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to enchant-2.2.15. Fixes
           <ulink url="&blfs-ticket-root;14425">#14425</ulink>.</para>
Index: networking/netprogs/samba.xml
===================================================================
--- networking/netprogs/samba.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
+++ networking/netprogs/samba.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
@@ -7,8 +7,8 @@
   <!ENTITY samba-download-http "https://www.samba.org/ftp/samba/stable/samba-&samba-version;.tar.gz">
   <!ENTITY samba-download-ftp  " ">
-  <!ENTITY samba-md5sum        "9fd935e9cdfeafc978563ec722dd5404">
+  <!ENTITY samba-md5sum        "8a412bc5b58f35cd4721fa6ec4629ce0">
   <!ENTITY samba-size          "18 MB">
   <!ENTITY samba-buildsize     "629 MB (add 380 MB for quicktest)">
-  <!ENTITY samba-time          "3.3 SBU (using parallelism=4; add 5.1 SBU for quicktest)">
+  <!ENTITY samba-time          "3.1 SBU (using parallelism=4; add 5.1 SBU for quicktest)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 542a11341684d18cecb876d1343d9395c6187d29)
+++ packages.ent	(revision 51718d1f7c8772a64a47e25701d662755850d213)
@@ -176,5 +176,5 @@
 <!ENTITY libxml2-version              "2.9.10">
 <!ENTITY libxslt-version              "1.1.34">
-<!ENTITY libwacom-version             "1.6">
+<!ENTITY libwacom-version             "1.7">
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.6">
@@ -588,5 +588,5 @@
 <!ENTITY rpcbind-version              "1.2.5">
 <!ENTITY rsync-version                "3.2.3">
-<!ENTITY samba-version                "4.13.2">
+<!ENTITY samba-version                "4.13.3">
 <!ENTITY wget-version                 "1.20.3">
 <!ENTITY wireless-tools-version       "29">