Index: general.ent
===================================================================
--- general.ent	(revision 8fd509cbe74ab45f59026ceaadccf4761dc56d69)
+++ general.ent	(revision 52249aa0a433cf5ef7188b7eb2d53c5beb7b01b2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "23">                   <!-- Always 2 digits -->
+<!ENTITY day          "24">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 23rd, &year;">
+<!ENTITY releasedate  "July 24th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/important/building-notes.xml
===================================================================
--- introduction/important/building-notes.xml	(revision 8fd509cbe74ab45f59026ceaadccf4761dc56d69)
+++ introduction/important/building-notes.xml	(revision 52249aa0a433cf5ef7188b7eb2d53c5beb7b01b2)
@@ -725,5 +725,5 @@
         Even on desktop systems, there are still a lot of exploitable
         vulnerabilities. For many of these, the attack comes via javascript
-        in a browser. Often, a seris of vulnerabilities are used to gain
+        in a browser. Often, a series of vulnerabilities are used to gain
         access to data (or sometimes to pwn, i.e. own, the machine and
         install rootkits).  Most commercial distros will apply various
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8fd509cbe74ab45f59026ceaadccf4761dc56d69)
+++ introduction/welcome/changelog.xml	(revision 52249aa0a433cf5ef7188b7eb2d53c5beb7b01b2)
@@ -41,5 +41,17 @@
       </itemizedlist>
     </listitem>
-    -->
+       -->
+    <listitem>
+      <para>July 24th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Adapt QtWebEngine to API changes in Linux 5.2+ and
+          fix background rendering issues in Falkon, as well as crashes on
+          multimedia heavy sites.
+          <ulink url="&blfs-ticket-root;12296">#12296</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>July 23rd, 2019</para>
Index: x/lib/qtwebengine.xml
===================================================================
--- x/lib/qtwebengine.xml	(revision 8fd509cbe74ab45f59026ceaadccf4761dc56d69)
+++ x/lib/qtwebengine.xml	(revision 52249aa0a433cf5ef7188b7eb2d53c5beb7b01b2)
@@ -96,15 +96,14 @@
     </itemizedlist>
 
-<!-- The patch is not needed anymore for 5.12.1
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
         <para>
-          Required patch (if building on i686):
-          <ulink url="&patch-root;/qtwebengine-&qtwebengine-version;-i686_alignof_fix-1.patch"/>
+          Required patch:
+          <ulink url="&patch-root;/qtwebengine-&qtwebengine-version;-background_rendering_fix-1.patch"/>
         </para>
       </listitem>
     </itemizedlist>
--->
+
     <bridgehead renderas="sect3">qtwebengine Dependencies</bridgehead>
 
@@ -162,4 +161,11 @@
 
     <para>
+      Next, apply a patch that fixes background rendering issues in Falkon,
+      and crashes on multimedia-heavy sites.
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../qtwebengine-&qtwebengine-version;-background_rendering_fix-1.patch</userinput></screen>
+    
+    <para>
       If an older version of the package's main library has been installed,
       when the package is built separately it will link to that in preference
@@ -173,14 +179,4 @@
 fi</userinput></screen>
 
-<!-- Not needed for 5.12.1
-    <para>
-      If you are building on a 32-bit i686 system, GCC changed the alignof
-      operator to optimize the ABI. Unfortunately, this makes the alignof()
-      operator return an incorrect number (4 instead of 8). Apply a patch to
-      fix this:
-    </para>
-
-<screen><userinput>patch -Np1 -i ../qtwebengine-&qtwebengine-version;-i686_alignof_fix-1.patch</userinput></screen>
--->
     <para>
       Install <application>qtwebengine</application> by running the following
@@ -188,5 +184,7 @@
     </para>
 
-<screen><userinput>mkdir build &amp;&amp;
+<screen><userinput>sed -i 's/SIOCGSTAMP/0x8906/' \
+src/3rdparty/chromium/third_party/webrtc/rtc_base/physical_socket_server.cc &amp;&amp;
+mkdir build &amp;&amp;
 cd    build &amp;&amp;
 
@@ -246,4 +244,7 @@
       to the build.
     </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" 
+       href="../../xincludes/SIOCGSTAMP.xml"/>
 
     <para>