Index: x/installing/xfree86.xml
===================================================================
--- x/installing/xfree86.xml	(revision e7ce8292038cbd472a286b3b69bf46ea2000de82)
+++ x/installing/xfree86.xml	(revision 52535ba591bce4eb17c81a1a5e39cb6a0fd94272)
@@ -14,9 +14,14 @@
 <sect1 id="xfree86" xreflabel="XFree86-&xfree86-version;">
 <sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
+  <othername>$LastChangedBy$</othername>
+  <date>$Date$</date>
 </sect1info>
+
 <?dbhtml filename="xfree86.html" ?>
 <title>XFree86-&xfree86-version;</title>
+
+<indexterm zone="xfree86">
+  <primary sortas="a-xfree86">XFree86</primary>
+</indexterm>
 
 <sect2>
@@ -31,77 +36,85 @@
 
 <sect3><title>Package information</title>
+  <itemizedlist spacing='compact'>
+    <listitem><para>Download (HTTP): 
+    <ulink url="&xfree86-download-http;"/></para></listitem> <listitem><para>Download (FTP): 
+    <ulink url="&xfree86-download-ftp;"/></para></listitem>
+    <listitem><para>Download size: &xfree86-size;</para></listitem>
+    <listitem><para>Estimated disk space required: &xfree86-buildsize;</para></listitem>
+    <listitem><para>Estimated build time: &xfree86-time;</para></listitem>
+  </itemizedlist>
+</sect3>
+
+<sect3>
+  <title>Additional downloads</title>
+
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): 
-<ulink url="&xfree86-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&xfree86-download-ftp;"/></para></listitem>
-<listitem><para>Download size: 
-&xfree86-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&xfree86-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&xfree86-time;</para></listitem></itemizedlist>
+  <listitem>
+    <para>Security patch: <ulink url="http://www.x.org/pub/X11R6.8.0/patches/xorg-CAN-2004-0687-0688.patch"/></para>
+  </listitem>
+</itemizedlist></sect3>
+
+<sect3>
+  <title><application>XFree86</application> dependencies</title>
+
+<sect4>
+  <title>Required</title>
+  <para><xref linkend="libpng"/></para>
+</sect4>
+
+<sect4>
+  <title>Optional</title>
+  <para><xref linkend="Linux_PAM"/>; the 
+    following packages are included in the <application>XFree86</application> 
+    package, however they are updated more often than the 
+    <application>XFree86</application> package and are highly recommended:
+    <xref linkend="expat"/>, <xref linkend="freetype2"/>, 
+    <xref linkend="fontconfig"/>.
+  </para>
+
+  <note><para>If you choose not to install <application>expat</application>, 
+    <application>freetype2</application>, and <application>fontconfig</application>, 
+    the <filename>host.def</filename> file below will have to be modified to
+    instruct <application>XFree86</application> to build them.</para>
+  </note>
+</sect4>
+
 </sect3>
 
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Security patch: <ulink
-url="http://www.x.org/pub/X11R6.8.0/patches/xorg-CAN-2004-0687-0688.patch"/>
-</para></listitem>
-</itemizedlist></sect3>
-
-<sect3><title><application>XFree86</application> dependencies</title>
-
-<sect4><title>Required</title>
-<para><xref linkend="libpng"/></para>
-</sect4>
-
-<sect4><title>Optional</title>
-<para><xref linkend="Linux_PAM"/>; the 
-following packages are included in the <application>XFree86</application> 
-package, however they are updated more often than the 
-<application>XFree86</application> package and are highly recommended:
-<xref linkend="expat"/>, <xref linkend="freetype2"/>, 
-<xref linkend="fontconfig"/>.</para>
-
-<note><para>If you choose not to install <application>expat</application>, 
-<application>freetype2</application>, and <application>fontconfig</application>, 
-the <filename>host.def</filename> file below will have to be modified to
-instruct <application>XFree86</application> to build them.</para></note>
-</sect4>
-
-</sect3>
-
-<sect3><title>Download Instructions</title>
-
-<para>There are several files that need to be fetched from the download 
-location:</para>
-<itemizedlist spacing='compact'> 
-<listitem><para><filename>XFree86-4.4.0-src-1.tgz</filename></para></listitem> 
-<listitem><para><filename>XFree86-4.4.0-src-2.tgz</filename></para></listitem> 
-<listitem><para><filename>XFree86-4.4.0-src-3.tgz</filename></para></listitem> 
-<listitem><para><filename>XFree86-4.4.0-src-4.tgz</filename></para></listitem> 
-<listitem><para><filename>XFree86-4.4.0-src-5.tgz</filename></para></listitem> 
-<listitem><para><filename>XFree86-4.4.0-src-6.tgz</filename></para></listitem> 
-<listitem><para><filename>XFree86-4.4.0-src-7.tgz</filename></para></listitem> 
-</itemizedlist> 
-
-<para>The first three packages are the <application>XFree86</application> 
-programs, the fourth and fifth are fonts, the sixth is normal documentation, 
-and the seventh is hardcopy documentation. There are also two packages 
-<filename>doctools-1.3.1.tgz</filename>, which contain programs to regenerate 
-hardcopy documentation, and <filename>utils-1.1.0.tgz</filename>, which contain
-<application><acronym>GNU</acronym> <acronym>TAR</acronym></application>
-and <application>zlib</application> which are already installed on an
-<acronym>LFS</acronym> system.</para>
-
-<para>To check your downloads for integrity, download the 
-<filename>SUMS.md5sum</filename> file. Then:</para>
-
-<screen><userinput><command>md5sum -c SUMS.md5sum</command></userinput></screen>
-
-<para>The only errors you should see are for <filename>README</filename>, 
-<filename>doctools-1.3.1.tgz</filename>, and
-<filename>utils-1.1.0.tgz</filename> files if you did not download them.</para>
+<sect3>
+  <title>Download Instructions</title>
+
+  <para>There are several files that need to be fetched from the download location:</para>
+
+  <itemizedlist spacing='compact'> 
+    <listitem><para><filename>XFree86-4.4.0-src-1.tgz</filename></para></listitem> 
+    <listitem><para><filename>XFree86-4.4.0-src-2.tgz</filename></para></listitem> 
+    <listitem><para><filename>XFree86-4.4.0-src-3.tgz</filename></para></listitem> 
+    <listitem><para><filename>XFree86-4.4.0-src-4.tgz</filename></para></listitem> 
+    <listitem><para><filename>XFree86-4.4.0-src-5.tgz</filename></para></listitem> 
+    <listitem><para><filename>XFree86-4.4.0-src-6.tgz</filename></para></listitem> 
+    <listitem><para><filename>XFree86-4.4.0-src-7.tgz</filename></para></listitem> 
+  </itemizedlist> 
+
+  <para>The first three packages are the <application>XFree86</application> 
+    programs, the fourth and fifth are fonts, the sixth is normal documentation, 
+    and the seventh is hardcopy documentation. There are also two packages 
+    <filename>doctools-1.3.1.tgz</filename>, which contain programs to regenerate 
+    hardcopy documentation, and <filename>utils-1.1.0.tgz</filename>, which contain
+    <application><acronym>GNU</acronym> <acronym>TAR</acronym></application>
+    and <application>zlib</application> which are already installed on an
+    <acronym>LFS</acronym> system.
+  </para>
+
+  <para>To check your downloads for integrity, download the 
+    <filename>SUMS.md5sum</filename> file. Then:
+  </para>
+
+  <screen><userinput><command>md5sum -c SUMS.md5sum</command></userinput></screen>
+
+  <para>The only errors you should see are for <filename>README</filename>, 
+    <filename>doctools-1.3.1.tgz</filename>, and
+    <filename>utils-1.1.0.tgz</filename> files if you did not download them.
+  </para>
 
 <!--
@@ -126,60 +139,71 @@
 
 <sect2>
-<title>Installation of <application>XFree86</application></title>
-
-<sect3> 
-<title>Kernel Compilation Settings</title> 
-
-<para>If you have an Intel P6 (Pentium Pro, Pentium II and later), it is
-recommended that you compile <acronym>MTRR</acronym> (Memory Type Range
-Registers) support into the kernel.  The kernel can map Cyrix and AMD
-<acronym>CPU</acronym>s to the <acronym>MTRR</acronym> interface, so selecting
-this option is useful for those processors also.  This option is found in the
-"Processor type and features" menu.  It can increase performance of image write
-operations 2.5 times or more on <acronym>PCI</acronym> or
-<acronym>AGP</acronym> video cards.</para>
-
-<para>In the "Character Devices" section, enable <acronym>AGP</acronym> Support 
-and select the chipset support on your motherboard.  If you do not know the 
-chipset, you may select all the chip types at the expense of extra kernel size. 
-You can usually determine your motherboard's chipset by running the command 
-<command>lspci</command>, a program from the <xref linkend="pciutils"/> package.
-</para>
-
-<para>In the "Character Devices" section, <emphasis>disable</emphasis> Direct 
-Rendering Manager unless you have a Direct Rendering Infrastructure
-(<acronym>DRI</acronym>) supported video card.  A complete list of 
-<acronym>DRI</acronym> supported video cards can be found at 
-<ulink url="http://dri.sourceforge.net" /> in the Status section. Currently, 
-supported cards include those from 3dfx (Voodoo, Banshee), 3Dlabs, 
-ATI (Rage Pro, Rage 128, Radeon 7X00, Radeon 2), Intel (i810, i815), and 
-Matrox (G200, G400, G450).</para>
-
-<para>Additionally NVidia provides their own closed source binary drivers,
-which do not make use of <acronym>DRI</acronym>. If you intend to use these 
-drivers, do not enable <acronym>DRI</acronym>.</para>
-
-<para>If you made any changes to the kernel configuration, recompile and
-install the new kernel.</para>
-
-<note><para>If you build <application>XFree86</application> in a 
-<command>chroot</command> environment, make sure the kernel version of the base 
-system and the target system are the same.</para>
-</note>
+  <title>Installation of <application>XFree86</application></title>
+
+<sect3 id='xfree86-kernel'> 
+  <title>Kernel Compilation Settings</title> 
+
+  <para>If you have an Intel P6 (Pentium Pro, Pentium II and later), it is
+    recommended that you compile <acronym>MTRR</acronym> (Memory Type Range
+    Registers) support into the kernel.  The kernel can map Cyrix and AMD
+    <acronym>CPU</acronym>s to the <acronym>MTRR</acronym> interface, so selecting
+    this option is useful for those processors also.  This option is found in the
+    "Processor type and features" menu.  It can increase performance of image write
+    operations 2.5 times or more on <acronym>PCI</acronym> or
+    <acronym>AGP</acronym> video cards.
+  </para>
+
+  <indexterm zone="xfree86 xfree86-kernel">
+    <primary sortas="d-xfree86">XFree86</primary>
+  </indexterm>
+
+  <para>In the "Character Devices" section, enable <acronym>AGP</acronym> Support 
+    and select the chipset support on your motherboard.  If you do not know the 
+    chipset, you may select all the chip types at the expense of extra kernel size. 
+    You can usually determine your motherboard's chipset by running the command 
+    <command>lspci</command>, a program from the <xref linkend="pciutils"/> package.
+  </para>
+
+  <para>In the "Character Devices" section, <emphasis>disable</emphasis> Direct 
+    Rendering Manager unless you have a Direct Rendering Infrastructure
+    (<acronym>DRI</acronym>) supported video card.  A complete list of 
+    <acronym>DRI</acronym> supported video cards can be found at 
+    <ulink url="http://dri.sourceforge.net" /> in the Status section. Currently, 
+    supported cards include those from 3dfx (Voodoo, Banshee), 3Dlabs, 
+    ATI (Rage Pro, Rage 128, Radeon 7X00, Radeon 2), Intel (i810, i815), and 
+    Matrox (G200, G400, G450).
+  </para>
+
+  <para>Additionally NVidia provides their own closed source binary drivers,
+    which do not make use of <acronym>DRI</acronym>. If you intend to use these 
+    drivers, do not enable <acronym>DRI</acronym>.
+  </para>
+
+  <para>If you made any changes to the kernel configuration, recompile and
+    install the new kernel.
+  </para>
+
+  <note><para>If you build <application>XFree86</application> in a 
+    <command>chroot</command> environment, make sure the kernel version of the base 
+    system and the target system are the same.
+  </para></note>
 
 </sect3>
 
-<sect3><title>Creating <filename>host.def</filename></title>
-
-<para>Although <application>XFree86</application> will compile without a
-<filename>host.def</filename> file, the following file is recommended for 
-customizing the installation. Start from the 
-<filename class="directory">xc</filename> directory.</para>
-
-<note><para>The <filename>host.def</filename> file is a
-<application>C</application> file, not the usual configuration file.  If you 
-make any changes, be sure the comment characters (<userinput>/*</userinput> 
-and <userinput>*/</userinput>) are balanced.  Most of the entries in the file 
-below are commented out with the default settings shown.</para></note>
+<sect3>
+  <title>Creating <filename>host.def</filename></title>
+
+  <para>Although <application>XFree86</application> will compile without a
+    <filename>host.def</filename> file, the following file is recommended for 
+    customizing the installation. Start from the 
+    <filename class="directory">xc</filename> directory.
+  </para>
+
+  <note><para>The <filename>host.def</filename> file is a
+    <application>C</application> file, not the usual configuration file.  If you 
+    make any changes, be sure the comment characters (<userinput>/*</userinput> 
+    and <userinput>*/</userinput>) are balanced.  Most of the entries in the file 
+    below are commented out with the default settings shown.
+  </para></note>
 
 <screen><userinput><command>cat &gt; config/cf/host.def &lt;&lt; "EOF"</command>
@@ -316,23 +340,26 @@
 
 <sect3>
-<title>Build Commands</title>
-
-<para>Some vulnerabilities were reported in <filename
-class="libraryfile">libXpm</filename>. A remote user may be able to
-execute arbitrary code on applications that use <filename
-class="libraryfile">libXpm</filename>. The <application>Xorg</application>
-team released a patch for their version 6.8.0 but it works for
-<application>XFree86</application> as well. Apply the patch:</para>
+  <title>Build Commands</title>
+
+  <para>Some vulnerabilities were reported in <filename
+    class="libraryfile">libXpm</filename>. A remote user may be able to
+    execute arbitrary code on applications that use <filename
+    class="libraryfile">libXpm</filename>. The <application>Xorg</application>
+    team released a patch for their version 6.8.0 but it works for
+    <application>XFree86</application> as well. Apply the patch:
+  </para>
 
 <screen><userinput><command>patch -Np1 -i ../xorg-CAN-2004-0687-0688.patch</command></userinput></screen>
 
-<para>Install <application>XFree86</application> by running the following 
-commands:</para>
+<para>Install <application>XFree86</application> by running the following commands:</para>
 
 <screen><userinput><command>sed -i -e "s@^#include &lt;linux/config.h&gt;@/* &amp; */@" \
     `grep -lr linux/config.h *` &amp;&amp;
 ( make WORLDOPTS="" World 2&gt;&amp;1 | \
-    tee xfree-compile.log &amp;&amp; exit $PIPESTATUS ) &amp;&amp;
-make install &amp;&amp;
+    tee xfree-compile.log &amp;&amp; exit $PIPESTATUS )</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+ 
+<screen><userinput role='root'><command>make install &amp;&amp;
 make install.man &amp;&amp;
 ln -sf ../X11R6/bin /usr/bin/X11 &amp;&amp;
@@ -389,5 +416,5 @@
 </sect2>
 
-<sect2>
+<sect2 id='xfree86-config'>
 <title>Configuring <application>XFree86</application></title>
 
@@ -396,4 +423,8 @@
 Run: </para>
 <screen><userinput><command>ldconfig</command></userinput></screen>
+
+<indexterm zone="xfree86 xfree86-config">
+  <primary sortas="e-etc-ld.so.conf">/etc/ld.so.conf</primary>
+</indexterm>
 
 <para>Ensure <filename class="directory">/usr/X11R6/bin</filename> 
@@ -402,4 +433,8 @@
 environment variables, respectively. Instructions for doing this are 
 described in the section "<xref linkend='postlfs-config-profile'/>."</para>
+
+<indexterm zone="xfree86 xfree86-config">
+  <primary sortas="e-etc-X11-XF86Config">/etc/X11/XF86Config</primary>
+</indexterm>
 
 <para>Create the <filename>XF86Config</filename> file with:
@@ -468,4 +503,9 @@
 <command>twm</command>, see the man page.</para>
 
+<indexterm zone="xfree86 xfree86-config">
+  <primary sortas="e-AA.xinitrc">~/.xinitrc</primary>
+</indexterm>
+
+
 <note>
 
@@ -482,6 +522,9 @@
 /tmp/.ICE-unix dir 1777 root root
 <command>EOF</command></userinput></screen>
-
 </note>
+
+  <indexterm zone="xfree86 xfree86-config">
+    <primary sortas="e-etc-sysconfig-createfiles">/etc/sysconfig/createfiles</primary>
+  </indexterm>
 
 <para>Start <application>X</application> with: 
@@ -511,76 +554,191 @@
 <sect2><title>Description</title>
 
-<note><para>The following list of programs is not comprehensive. The
-full list is in <filename class="directory">/usr/X11R6/bin</filename>.  For 
+<note><para>The following lists are not comprehensive. The
+full list of programs is in <filename class="directory">/usr/X11R6/bin</filename>.  For 
 additional information about these programs, see the respective man 
 page.</para></note>
 
-<sect3>
-<title>XFree86</title>
-<para><application>XFree86</application> is the X11R6 implementation of
-the <application>X</application> Window System server.
-</para></sect3>
-
-<sect3><title>xf86config</title>
-<para><command>xf86config</command> is an interactive program for
-generating an <filename>XF86Config</filename> file for use with 
-<application>XFree86</application> <application>X</application> 
-servers.</para></sect3>
-
-<sect3><title>xf86cfg</title>
-<para><command>xf86cfg</command> is a tool to configure
-<application>XFree86</application> that can be used to either write the 
-initial configuration file or make customizations to the current 
-configuration.</para></sect3>
-
-<sect3><title>startx</title>
-<para><command>startx</command> is a script to initialize the
-<application>X</application> session. It runs <command>xinit</command>.</para>
-</sect3>
-
-<sect3><title>xinit</title>
-<para><command>xinit</command> is used to start the
-<application>X</application> Window System server.</para></sect3>
-
-<sect3><title>twm</title>
-<para><command>twm</command> (Tab Window Manager) is a window manager included 
-with the <application>X</application> Window System.</para></sect3>
-
-<sect3><title>xterm</title>
-<para><command>xterm</command> is a terminal emulator for
-<application>X</application>.</para></sect3>
-
-<sect3><title>xwininfo</title>
-<para><command>xwininfo</command> is a window information utility for
-<application>X</application>.</para></sect3>
-
-<sect3><title>x11perf</title>
-<para><command>x11perf</command> is an <application>X</application>11 server 
-performance test program.</para></sect3>
-
-<sect3><title>xlsfonts</title>
-<para><command>xlsfonts</command> is a program to list fonts available
-to the <application>X</application> server.</para></sect3>
-
-<sect3><title>xvidtune</title>
-<para><command>xvidtune</command> is a video mode tuner for
-<application>XFree86</application>.</para></sect3>
-
-<sect3><title>xload</title>
-<para><command>xload</command> is a system load average display for
-<application>X</application>.</para></sect3>
-
-<sect3><title>xcalc</title>
-<para><command>xcalc</command> is a scientific calculator for
-<application>X</application>.</para></sect3>
-
-<sect3><title>xclock and oclock</title>
-<para>Clock programs for <application>X</application>.</para></sect3>
-
-<sect3><title>xmodmap</title>
-<para><command>xmodmap</command> is a utility for modifying keymaps and pointer 
-button mappings in <application>X</application>.</para></sect3>
-
+<segmentedlist>
+  <segtitle>Installed Programs</segtitle>
+  <segtitle>Installed Libraries</segtitle>
+  <segtitle>Installed Directories</segtitle>
+ 
+  <seglistitem>
+    <seg>XFree86, xf86config, xf86cfg, startx, xinit, twm, xterm, xwininfo, 
+         x11perf, xlsfonts, xvidtune, xload, xcalc, xclock, oclock, xmodmap</seg>
+    <seg>libGL.so, libGLU.so, libSM.so, libXi.so, libXrender.so, libXt.so, libXfont.so</seg>
+    <seg>/usr/X11R6/, /etc/X11/</seg>
+  </seglistitem>
+</segmentedlist>
+
+<variablelist>
+  <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+  <?dbfo list-presentation="list"?>
+
+<varlistentry id="XFree86">
+  <term><command>XFree86</command></term>
+  <listitem>
+    <para>is the X11R6 implementation of the <application>X</application> Window System server.</para>
+    <indexterm zone="xfree86 XFree86">
+      <primary sortas="b-XFree86">XFree86</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xf86config">
+  <term><command>xf86config</command></term>
+  <listitem>
+    <para>is an interactive program for generating an <filename>XF86Config</filename> file for use with
+      <application>XFree86</application> <application>X</application> servers.</para>
+    <indexterm zone="xfree86 xf86config">
+      <primary sortas="b-xf86config">xf86config</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xf86cfg">
+  <term><command>xf86cfg</command></term>
+  <listitem>
+    <para> is a tool to configure <application>XFree86</application> that can be used to either write the
+      initial configuration file or make customizations to the current configuration.</para>
+    <indexterm zone="xfree86 xf86cfg">
+      <primary sortas="b-xf86cfg">xf86cfg</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="startx">
+  <term><command>startx</command></term>
+  <listitem>
+    <para>is a script to initialize the <application>X</application> session. It 
+      runs <command>xinit</command>.</para>
+    <indexterm zone="xfree86 startx">
+      <primary sortas="b-startx">startx</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xinit">
+  <term><command>xinit</command></term>
+  <listitem>
+    <para>is used to start the <application>X</application> Window System server.</para>
+    <indexterm zone="xfree86 xinit">
+      <primary sortas="b-xinit">xinit</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="twm">
+  <term><command>twm</command></term>
+  <listitem>
+    <para> (Tab Window Manager) is a window manager included with the 
+      <application>X</application> Window System.</para>
+    <indexterm zone="xfree86 twm">
+      <primary sortas="b-twm">twm</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xterm">
+  <term><command>xterm</command></term>
+  <listitem>
+    <para>is a terminal emulator for <application>X</application>.</para>
+    <indexterm zone="xfree86 xterm">
+      <primary sortas="b-xterm">xterm</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xwininfo">
+  <term><command>xwininfo</command></term>
+  <listitem>
+    <para> is a window information utility for <application>X</application>.</para>
+    <indexterm zone="xfree86 xwininfo">
+      <primary sortas="b-xwininfo">xwininfo</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="x11perf">
+  <term><command>x11perf</command></term>
+  <listitem>
+    <para>is an <application>X</application>11 server performance test program.</para>
+    <indexterm zone="xfree86 x11perf">
+      <primary sortas="b-x11perf">x11perf</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xlsfonts">
+  <term><command>xlsfonts</command></term>
+  <listitem>
+    <para>is a program to list fonts available to the <application>X</application> server.</para>
+    <indexterm zone="xfree86 xlsfonts">
+      <primary sortas="b-xlsfonts">xlsfonts</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xvidtune">
+  <term><command>xvidtune</command></term>
+  <listitem>
+    <para>is a video mode tuner for <application>XFree86</application>.</para>
+    <indexterm zone="xfree86 xvidtune">
+      <primary sortas="b-xvidtune">xvidtune</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xload">
+  <term><command>xload</command></term>
+  <listitem>
+    <para> is a system load average display for <application>X</application>.</para>
+    <indexterm zone="xfree86 xload">
+      <primary sortas="b-xload">xload</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xcalc">
+  <term><command>xcalc</command></term>
+  <listitem>
+    <para>is a scientific calculator for <application>X</application>.</para>
+    <indexterm zone="xfree86 xcalc">
+      <primary sortas="b-xcalc">xcalc</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xclock">
+  <term><command>xclock</command></term>
+  <listitem>
+    <para>is a clock programs for <application>X</application>.</para>
+    <indexterm zone="xfree86 xclock">
+      <primary sortas="b-xclock">xclock</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="oclock">
+  <term><command>oclock</command></term>
+  <listitem>
+    <para>is a clock programs for <application>X</application>.</para>
+    <indexterm zone="xfree86 oclock">
+      <primary sortas="b-oclock">oclock</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="xmodmap">
+  <term><command>xmodmap</command></term>
+  <listitem>
+    <para>xmodmap.</para>
+    <indexterm zone="xfree86 xmodmap">
+      <primary sortas="b-xmodmap">xmodmap</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+</variablelist> 
 </sect2>
-
 </sect1>
Index: x/installing/xorg.xml
===================================================================
--- x/installing/xorg.xml	(revision e7ce8292038cbd472a286b3b69bf46ea2000de82)
+++ x/installing/xorg.xml	(revision 52535ba591bce4eb17c81a1a5e39cb6a0fd94272)
@@ -22,5 +22,5 @@
 
 <indexterm zone="xorg">
-  <primary sortas="a-xorg">xorg</primary>
+  <primary sortas="a-xorg">Xorg</primary>
 </indexterm>
 
@@ -369,5 +369,5 @@
 
 <indexterm zone="xorg xorg-config">
-  <primary sortas="e-etc-ld-so.conf">/etc/ld.so.conf</primary>
+  <primary sortas="e-etc-ld.so.conf">/etc/ld.so.conf</primary>
 </indexterm>
  