Index: gnome/otherlibs/gtkhtml/gtkhtml-config.xml
===================================================================
--- gnome/otherlibs/gtkhtml/gtkhtml-config.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
+++ gnome/otherlibs/gtkhtml/gtkhtml-config.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
@@ -0,0 +1,5 @@
+<sect2>
+<title>Configuring gtkhtml</title>
+&library-config;
+</sect2>
+
Index: gnome/otherlibs/gtkhtml/gtkhtml-desc.xml
===================================================================
--- gnome/otherlibs/gtkhtml/gtkhtml-desc.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
+++ gnome/otherlibs/gtkhtml/gtkhtml-desc.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
@@ -0,0 +1,6 @@
+<sect2>
+<title>Contents</title>
+
+<para>The gtkhtml package contains the Gnome 1.4 html rendering engine.</para>
+
+</sect2>
Index: gnome/otherlibs/gtkhtml/gtkhtml-exp.xml
===================================================================
--- gnome/otherlibs/gtkhtml/gtkhtml-exp.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
+++ gnome/otherlibs/gtkhtml/gtkhtml-exp.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--prefix=/opt/gnome:</userinput>
+Install gtkhtml in the Gnome 1.4 area.</para>
+
+</sect2>
+
Index: gnome/otherlibs/gtkhtml/gtkhtml-inst.xml
===================================================================
--- gnome/otherlibs/gtkhtml/gtkhtml-inst.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
+++ gnome/otherlibs/gtkhtml/gtkhtml-inst.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Installation of gtkhtml</title>
+
+<para>Install gtkhtml by running the following commands:</para>
+
+<para><screen><userinput>
+./configure --prefix=/opt/gnome &amp;&amp;
+make &amp;&amp;
+make install
+</userinput></screen></para>
+
+</sect2>
+
Index: gnome/otherlibs/gtkhtml/gtkhtml-intro.xml
===================================================================
--- gnome/otherlibs/gtkhtml/gtkhtml-intro.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
+++ gnome/otherlibs/gtkhtml/gtkhtml-intro.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Introduction to gtkhtml-&gtkhtml-version;(Gnome 1.4)</title>
+
+<screen>Download location (HTTP):       <ulink url="&gtkhtml-download-http;"/>
+Download location (FTP):        <ulink url="&gtkhtml-download-ftp;"/>
+Version used:                   &gtkhtml-version;
+Package size:                   &gtkhtml-size;
+Estimated Disk space required:  &gtkhtml-buildsize;</screen>
+
+<para>The gtkhtml package contains is a lightweight HTML
+rendering/printing/editing engine.</para>
+
+<para>gtkhtml depends on <xref linkend="gal"></xref>.</para>
+
+</sect2>
Index: gnome/otherlibs/gtkhtml/gtkhtml.ent
===================================================================
--- gnome/otherlibs/gtkhtml/gtkhtml.ent	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
+++ gnome/otherlibs/gtkhtml/gtkhtml.ent	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
@@ -0,0 +1,11 @@
+<!ENTITY gtkhtml SYSTEM "gtkhtml.xml">
+<!ENTITY gtkhtml-intro SYSTEM "gtkhtml-intro.xml">
+<!ENTITY gtkhtml-inst SYSTEM "gtkhtml-inst.xml">
+<!ENTITY gtkhtml-exp SYSTEM "gtkhtml-exp.xml">
+<!ENTITY gtkhtml-desc SYSTEM "gtkhtml-desc.xml">
+<!ENTITY gtkhtml-config SYSTEM "gtkhtml-config.xml">
+<!ENTITY gtkhtml-buildsize "11 MB">
+<!ENTITY gtkhtml-version "1.0.4">
+<!ENTITY gtkhtml-download-http "http://ibiblio.org/pub/Linux/X11/gnome/sources/gtkhtml/1.0/gtkhtml-&gtkhtml-version;.tar.bz2">
+<!ENTITY gtkhtml-download-ftp "">
+<!ENTITY gtkhtml-size "956 KB">
Index: gnome/otherlibs/gtkhtml/gtkhtml.xml
===================================================================
--- gnome/otherlibs/gtkhtml/gtkhtml.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
+++ gnome/otherlibs/gtkhtml/gtkhtml.xml	(revision 52638a772112e1f0c6abda75483b4569e8ce4eeb)
@@ -0,0 +1,12 @@
+<sect1 id="gtkhtml" xreflabel="gtkhtml-&gtkhtml-version;">
+<?dbhtml filename="gtkhtml.html" dir="gnome"?>
+<title>gtkhtml-&gtkhtml-version;</title>
+
+&gtkhtml-intro;
+&gtkhtml-inst;
+&gtkhtml-exp;
+&gtkhtml-config;
+&gtkhtml-desc;
+
+</sect1>
+