Index: gnome/add/games/gnome-games-desc.xml
===================================================================
--- gnome/add/games/gnome-games-desc.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/games/gnome-games-desc.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -3,13 +3,13 @@
 
 <para>The gnome-games package contains
-<userinput>aisleriot</userinput>, <userinput>freecell</userinput>,
-<userinput>gataxx</userinput>, <userinput>glines</userinput>,
-<userinput>gnect</userinput>, <userinput>gnibbles</userinput>,
-<userinput>gnobots2</userinput>, <userinput>gnome-stones</userinput>,
-<userinput>gnome-xbill</userinput>, <userinput>gnometris</userinput>,
-<userinput>gnomine</userinput>, <userinput>gnotravex</userinput>,
-<userinput>gnotski</userinput>, <userinput>gtali</userinput>,
-<userinput>iagno</userinput>, <userinput>mahjongg</userinput> and
-<userinput> same-gnome</userinput>.</para>
+<command>aisleriot</command>, <command>freecell</command>,
+<command>gataxx</command>, <command>glines</command>,
+<command>gnect</command>, <command>gnibbles</command>,
+<command>gnobots2</command>, <command>gnome-stones</command>,
+<command>gnome-xbill</command>, <command>gnometris</command>,
+<command>gnomine</command>, <command>gnotravex</command>,
+<command>gnotski</command>, <command>gtali</command>,
+<command>iagno</command>, <command>mahjongg</command> and
+<command> same-gnome</command>.</para>
 
 </sect2>
Index: gnome/add/games/gnome-games-exp.xml
===================================================================
--- gnome/add/games/gnome-games-exp.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/games/gnome-games-exp.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -2,9 +2,9 @@
 <title>Command explanations</title>
 
-<para><userinput>--localstatedir=/var/lib</userinput> : This switch
+<para><command>--localstatedir=/var/lib</command> : This switch
 puts scrollkeeper files in <filename>/var/lib/scrollkeeper</filename>
 instead of <filename>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
-<para><userinput>--sysconfdir=/etc/gnome</userinput> : This switch puts
+<para><command>--sysconfdir=/etc/gnome</command> : This switch puts
 configuration files in <filename>/etc/gnome</filename> instead of
 <filename>$GNOME_PREFIX/etc</filename>.</para>
Index: gnome/add/games/gnome-games-inst.xml
===================================================================
--- gnome/add/games/gnome-games-inst.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/games/gnome-games-inst.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of gnome-games</title>
+<title>Installation of <application>gnome-games</application></title>
 
-<para>Install gnome-games by running the following commands:</para>
+<para>Install <application>gnome-games</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --localstatedir=/var/lib \
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --localstatedir=/var/lib \
 --sysconfdir=/etc/gnome &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: gnome/add/games/gnome-games-intro.xml
===================================================================
--- gnome/add/games/gnome-games-intro.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/games/gnome-games-intro.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -1,18 +1,27 @@
 <sect2>
-<title>Introduction to gnome-games</title>
+<title>Introduction to <application>gnome-games</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&gnome-games-download-http;"/>
-Download location (FTP):        <ulink url="&gnome-games-download-ftp;"/>
-Version used:                   &gnome-games-version;
-Package size:                   &gnome-games-size;
-Estimated Disk space required:  &gnome-games-buildsize;
-Estimated build time:           &gnome-games-time;</screen>
+<para>The <application>gnome-games</application> package contains games.</para>
 
-<para>The gnome-games package contains games.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnome-games-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnome-games-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnome-games-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnome-games-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnome-games-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application>gnome-games</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeui"/></para></sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="guile"/></para></sect4>
+</sect3>
 
-<screen>gnome-games depends on:
-<xref linkend="libgnomeui"/>
-gnome-games will utilize:
-<xref linkend="guile"></xref></screen>
 
 </sect2>
Index: gnome/add/games/gnome-games.ent
===================================================================
--- gnome/add/games/gnome-games.ent	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/games/gnome-games.ent	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -5,8 +5,8 @@
 <!ENTITY gnome-games-desc SYSTEM "gnome-games-desc.xml">
 <!ENTITY gnome-games-config SYSTEM "gnome-games-config.xml">
-<!ENTITY gnome-games-buildsize "32.1 MB">
-<!ENTITY gnome-games-version "2.2.0">
-<!ENTITY gnome-games-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-games/2.2/gnome-games-2.2.0.tar.bz2">
-<!ENTITY gnome-games-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-games/2.2/gnome-games-2.2.0.tar.bz2">
-<!ENTITY gnome-games-size "9.4 MB">
-<!ENTITY gnome-games-time "3.34 SBU">
+<!ENTITY gnome-games-buildsize "76.2 MB">
+<!ENTITY gnome-games-version "2.2.1">
+<!ENTITY gnome-games-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-games/2.2/gnome-games-2.2.1.tar.bz2">
+<!ENTITY gnome-games-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-games/2.2/gnome-games-2.2.1.tar.bz2">
+<!ENTITY gnome-games-size "9.6 MB">
+<!ENTITY gnome-games-time "0.99 SBU">
Index: gnome/add/utils/gnome-utils-desc.xml
===================================================================
--- gnome/add/utils/gnome-utils-desc.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/utils/gnome-utils-desc.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -3,11 +3,11 @@
 
 <para>The gnome-utils package contains
-<userinput>gnome-system-log</userinput>,
-<userinput>gnome-character-map</userinput>,
-<userinput>gnome-calculator</userinput>,
-<userinput>gnome-search-tool</userinput>,
-<userinput>gnome-dictionary</userinput>,
-<userinput>archive-generator</userinput>, <userinput>gfloppy</userinput>
-and <userinput>gdialog</userinput>.</para>
+<command>gnome-system-log</command>,
+<command>gnome-character-map</command>,
+<command>gnome-calculator</command>,
+<command>gnome-search-tool</command>,
+<command>gnome-dictionary</command>,
+<command>archive-generator</command>, <command>gfloppy</command>
+and <command>gdialog</command>.</para>
 
 </sect2>
@@ -16,32 +16,33 @@
 
 <sect3><title>gnome-system-log</title>
-<para>gnome-system-log allows you to monitor and view system log files.</para></sect3>
+<para><command>gnome-system-log</command> allows you to monitor and view system log files.</para></sect3>
 
 <sect3><title>gnome-character-map</title>
-<para>gnome-character-map allows you to select characters from a table
+<para><command>gnome-character-map</command> allows you to select characters from a table
 and insert them into your applications.</para></sect3>
 
 <sect3><title>gnome-calculator</title>
-<para>gnome-calculator is a simple mathematical and scientific
+<para><command>gnome-calculator</command> is a simple mathematical and scientific
 calculator that includes arithmetic, trigonometric and logarithmic
 functions.</para></sect3>
 
 <sect3><title>gnome-search-tool</title>
-<para>gnome-search-tool allows you to search for files on your system
+<para><command>gnome-search-tool</command> allows you to search for files on your system
 using simple and advanced search options.</para></sect3>
 
 <sect3><title>gnome-dictionary</title>
-<para>gnome-dictionary allows you to look up definitions and spelling of
+<para><command>gnome-dictionary</command> allows you to look up definitions and spelling of
 words.</para></sect3>
 
 <sect3><title>archive-generator</title>
-<para>archive-generator creates archives from collections of files and
+<para><command>archive-generator</command> creates archives from collections of files and
 folders using gzip compressed archive files.</para></sect3>
 
 <sect3><title>gfloppy</title>
-<para>gfloppy formats floppy disks under Linux.</para></sect3>
+<para><command>gfloppy</command> formats floppy disks under Linux.</para></sect3>
 
 <sect3><title>gdialog</title>
-<para>gdialog doesn't work yet.</para></sect3>
+<para><command>gdialog</command> displays dialog boxes from shell
+scripts.</para></sect3>
 
 </sect2>
Index: gnome/add/utils/gnome-utils-exp.xml
===================================================================
--- gnome/add/utils/gnome-utils-exp.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/utils/gnome-utils-exp.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -2,17 +2,17 @@
 <title>Command explanations</title>
 
-<para><userinput>--libexecdir=$GNOME_PREFIX/sbin</userinput> : This switch puts
+<para><command>--libexecdir=$GNOME_PREFIX/sbin</command> : This switch puts
 libexec files in <filename>$GNOME_PREFIX/sbin</filename> instead of
 <filename>$GNOME_PREFIX/libexec</filename>.</para>
 
-<para><userinput>--localstatedir=/var/lib</userinput> : This switch
+<para><command>--localstatedir=/var/lib</command> : This switch
 puts scrollkeeper files in <filename>/var/lib/scrollkeeper</filename>
 instead of <filename>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
-<para><userinput>--sysconfdir=/etc/gnome</userinput> : This switch
+<para><command>--sysconfdir=/etc/gnome</command> : This switch
 puts configuration files in <filename>/etc/gnome</filename> instead of
 <filename>$GNOME_PREFIX/etc</filename>.</para>
 
-<para><userinput>--with-pam-prefix=/etc/pam.d</userinput> : This switch
+<para><command>--with-pam-prefix=/etc/pam.d</command> : This switch
 puts PAM file in <filename>/etc/pam.d</filename> instead of
 <filename>/etc/gnome</filename>.</para>
Index: gnome/add/utils/gnome-utils-inst.xml
===================================================================
--- gnome/add/utils/gnome-utils-inst.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/utils/gnome-utils-inst.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of gnome-utils</title>
+<title>Installation of <application>gnome-utils</application></title>
 
-<para>Install gnome-utils by running the following commands:</para>
+<para>Install <application>gnome-utils</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
 --localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: gnome/add/utils/gnome-utils-intro.xml
===================================================================
--- gnome/add/utils/gnome-utils-intro.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/utils/gnome-utils-intro.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -1,17 +1,25 @@
 <sect2>
-<title>Introduction to gnome-utils</title>
+<title>Introduction to <application>gnome-utils</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&gnome-utils-download-http;"/>
-Download location (FTP):        <ulink url="&gnome-utils-download-ftp;"/>
-Version used:                   &gnome-utils-version;
-Package size:                   &gnome-utils-size;
-Estimated Disk space required:  &gnome-utils-buildsize;
-Estimated build time:           &gnome-utils-time;</screen>
-
-<para>The gnome-utils package contains a collection of small
+<para>The <application>gnome-utils</application> package contains a collection of small
 applications designed to make your life a little easier.</para>
 
-<screen>gnome-utils depends on:
-<xref linkend="libgnomeui"/></screen>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnome-utils-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnome-utils-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnome-utils-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnome-utils-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnome-utils-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application>gnome-utils</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeui"/></para></sect4>
+</sect3>
 
 </sect2>
Index: gnome/add/utils/gnome-utils.ent
===================================================================
--- gnome/add/utils/gnome-utils.ent	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ gnome/add/utils/gnome-utils.ent	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -5,8 +5,8 @@
 <!ENTITY gnome-utils-desc SYSTEM "gnome-utils-desc.xml">
 <!ENTITY gnome-utils-config SYSTEM "gnome-utils-config.xml">
-<!ENTITY gnome-utils-buildsize "15.4 MB">
-<!ENTITY gnome-utils-version "2.2.1">
-<!ENTITY gnome-utils-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-utils/2.2/gnome-utils-2.2.1.tar.bz2">
-<!ENTITY gnome-utils-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/2.2/gnome-utils-2.2.1.tar.bz2">
-<!ENTITY gnome-utils-size "1.5 MB">
-<!ENTITY gnome-utils-time "1.44 SBU">
+<!ENTITY gnome-utils-buildsize "39.0 MB">
+<!ENTITY gnome-utils-version "2.2.3">
+<!ENTITY gnome-utils-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-utils/2.2/gnome-utils-2.2.3.tar.bz2">
+<!ENTITY gnome-utils-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/2.2/gnome-utils-2.2.3.tar.bz2">
+<!ENTITY gnome-utils-size "2.2 MB">
+<!ENTITY gnome-utils-time "0.40 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a6c2573851dd1f898d54c0e80db2b13c62f7b5db)
+++ introduction/welcome/changelog.xml	(revision 53462fd932743a2f1a8a692a71001f5253bb2ac9)
@@ -12,5 +12,6 @@
 
 <listitem><para>September 5th, 2003 [larry]: gnome: updated to
-gnome-system-moniter-2.0.5 and gnome-applets-2.2.2.</para></listitem>
+gnome-system-moniter-2.0.5, gnome-applets-2.2.2, gnome-utils-2.2.3 and
+gnome-games-2.2.1.</para></listitem>
 
 <listitem><para>September 4th, 2003 [larry]: gnome: updated to