Index: general.ent
===================================================================
--- general.ent	(revision cf7e0b6544f715d5183ed67f7fd60425c5b48e8d)
+++ general.ent	(revision 54707d332d2cebd83c26f7b24e5c41ccdf90a9c2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "30">                   <!-- Always 2 digits -->
+<!ENTITY day          "31">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2013">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 30th, &year;">
+<!ENTITY releasedate  "October 31st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -490,5 +490,5 @@
 <!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
 
-<!ENTITY exim-version                 "4.80.1">
+<!ENTITY exim-version                 "4.82">
 <!ENTITY postfix-version              "2.10.2">
 <!ENTITY qpopper-version              "4.1.0">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cf7e0b6544f715d5183ed67f7fd60425c5b48e8d)
+++ introduction/welcome/changelog.xml	(revision 54707d332d2cebd83c26f7b24e5c41ccdf90a9c2)
@@ -45,4 +45,14 @@
 -->
     <listitem>
+      <para>October 31st, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - Update to exim-4.82. Fixes
+          <ulink url="&blfs-ticket-root;4237">#4237</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 30th, 2013</para>
       <itemizedlist>
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision cf7e0b6544f715d5183ed67f7fd60425c5b48e8d)
+++ server/mail/exim.xml	(revision 54707d332d2cebd83c26f7b24e5c41ccdf90a9c2)
@@ -7,7 +7,7 @@
   <!ENTITY exim-download-http   "http://ftp.exim.org/pub/exim/exim4/exim-&exim-version;.tar.bz2">
   <!ENTITY exim-download-ftp    "ftp://ftp.exim.org/pub/exim/exim4/exim-&exim-version;.tar.bz2">
-  <!ENTITY exim-md5sum          "1a95dc9f02834b1b7430403a75edf162">
-  <!ENTITY exim-size            "1.6 MB">
-  <!ENTITY exim-buildsize       "16 MB">
+  <!ENTITY exim-md5sum          "feb933baa4db773c2ef76b794c60b647">
+  <!ENTITY exim-size            "1.7 MB">
+  <!ENTITY exim-buildsize       "14 MB">
   <!ENTITY exim-time            "0.2 SBU">
 ]>
@@ -71,11 +71,12 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="db"/> or
-      GDBM (GDBM built in LFS) or
-      <ulink url="http://sourceforge.net/projects/tdb">TDB</ulink>
+      <xref linkend="pcre"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="db"/> or
+      <ulink url="http://sourceforge.net/projects/tdb">TDB</ulink> (as an
+      alternative to GDBM, built in LFS),
       <xref linkend="x-window-system"/>,
       <xref linkend="openldap"/>,
@@ -84,6 +85,7 @@
       <xref linkend="mysql"/>,
       <xref linkend="postgresql"/>,
-      <xref linkend="sqlite"/>, and
-      <xref linkend="linux-pam"/>
+      <xref linkend="sqlite"/>,
+      <xref linkend="linux-pam"/>, and
+      <ulink url="http://www.trusteddomain.org/opendmarc/">OpenDMARC</ulink>
     </para>
 
@@ -117,9 +119,11 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
+<!-- dev note: make INSTALL_ARG=-no_chown DESTDIR=<DESTDIR> install -->
+
 <screen role="root"><userinput>make install &amp;&amp;
 install -v -m644 doc/exim.8 /usr/share/man/man8 &amp;&amp;
 install -v -d -m755 /usr/share/doc/exim-&exim-version; &amp;&amp;
 install -v -m644 doc/* /usr/share/doc/exim-&exim-version; &amp;&amp;
-ln -sv exim /usr/sbin/sendmail</userinput></screen>
+ln -sfv exim /usr/sbin/sendmail</userinput></screen>
 
   </sect2>
@@ -157,5 +161,5 @@
     <command>cp exim_monitor/EDITME Local/eximon.conf</command>.</para>
 
-    <para><command>ln -sv exim /usr/sbin/sendmail</command>: Creates a link to
+    <para><command>ln -sfv exim /usr/sbin/sendmail</command>: Creates a link to
     <command>sendmail</command> for applications which need it.
     <application>Exim</application> will accept most
@@ -304,5 +308,5 @@
 
       <seglistitem>
-        <seg>exicyclog, exigrep, exim, exim-4.43-2, exim_checkaccess,
+        <seg>exicyclog, exigrep, exim, exim-4.82-3, exim_checkaccess,
         exim_dbmbuild, exim_dumpdb, exim_fixdb, exim_lock, exim_tidydb,
         eximstats, exinext, exipick, exiqgrep, exiqsumm, exiwhat, and
@@ -349,11 +353,11 @@
       </varlistentry>
 
-      <varlistentry id="exim-4.43-2">
-        <term><command>exim-4.43-2</command></term>
+      <varlistentry id="exim-4.82-3">
+        <term><command>exim-4.82-3</command></term>
         <listitem>
           <para>is the <application>Exim</application> mail transport
           agent daemon.</para>
-          <indexterm zone="exim exim-4.43-2">
-            <primary sortas="b-exim-4.43-2">exim-4.43-2</primary>
+          <indexterm zone="exim exim-4.82-3">
+            <primary sortas="b-exim-4.82-3">exim-4.82-3</primary>
           </indexterm>
         </listitem>