Index: general.ent
===================================================================
--- general.ent	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ general.ent	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "13">                   <!-- Always 2 digits -->
+<!ENTITY day          "14">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "November 13th, &year;">
+<!ENTITY releasedate  "November 14th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/icu.xml
===================================================================
--- general/genlib/icu.xml	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ general/genlib/icu.xml	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -8,8 +8,8 @@
            "http://download.icu-project.org/files/icu4c/&icu-version;/icu4c-&icu-dl-version;-src.tgz">
   <!ENTITY icu-download-ftp  " ">
-  <!ENTITY icu-md5sum        "54923fa9fab5b2b83f235fb72523de37">
+  <!ENTITY icu-md5sum        "3d164a2d1bcebd1464c6160ebb8315ef">
   <!ENTITY icu-size          "22 MB">
-  <!ENTITY icu-buildsize     "285 MB (add 32 MB for tests)">
-  <!ENTITY icu-time          "1.3 SBU (add 1.3 SBU for tests)">
+  <!ENTITY icu-buildsize     "329 MB (add 32 MB for tests)">
+  <!ENTITY icu-time          "1.2 SBU (add 1.3 SBU for tests)">
 ]>
 
@@ -112,5 +112,5 @@
 
 <screen><userinput>cd source                                    &amp;&amp;
-sed -i 's/xlocale/locale/' i18n/digitlst.cpp &amp;&amp;
+
 ./configure --prefix=/usr                    &amp;&amp;
 make</userinput></screen>
@@ -137,14 +137,14 @@
       <seglistitem>
         <seg>
-          derb, genbrk, genccode, gencfu, gencmn, gencnval, gendict, gennorm2,
+          derb, escapesrc, genbrk, genccode, gencfu, gencmn, gencnval,
+          gendict, gennorm2,
           genrb, gensprep, icu-config, icuinfo, icupkg, makeconv, pkgdata, and
           uconv
         </seg>
         <seg>
-          libicudata.so, libicui18n.so, libicuio.so, libicule.so, libiculx.so,
+          libicudata.so, libicui18n.so, libicuio.so,
           libicutest.so, libicutu.so, and libicuuc.so
         </seg>
         <seg>
-          /usr/include/layout,
           /usr/include/unicode,
           /usr/lib/icu, and
@@ -171,4 +171,17 @@
       </varlistentry>
 
+      <varlistentry id="escapesrc">
+        <term><command>escapesrc</command></term>
+        <listitem>
+          <para>
+            converts <quote>\u</quote> escaped characters into unicode
+            characters.
+          </para>
+          <indexterm zone="icu escapesrc">
+            <primary sortas="b-escapesrc">escapesrc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="genbrk">
         <term><command>genbrk</command></term>
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ general/graphlib/poppler.xml	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -7,8 +7,8 @@
   <!ENTITY poppler-download-http "https://poppler.freedesktop.org/poppler-&poppler-version;.tar.xz">
   <!ENTITY poppler-download-ftp  " ">
-  <!ENTITY poppler-md5sum        "7648416d51a6e9fbc4a75b6f8b53dd7c">
+  <!ENTITY poppler-md5sum        "9feff3fb5e2302bb915e9a55da182c57">
   <!ENTITY poppler-size          "1.4 MB">
-  <!ENTITY poppler-buildsize     "58 MB (with Qt5 library and tests)">
-  <!ENTITY poppler-time          "0.5 SBU (with parallelism=4, Qt5 library, and tests)">
+  <!ENTITY poppler-buildsize     "55 MB (with Qt5 library and tests)">
+  <!ENTITY poppler-time          "0.7 SBU (with parallelism=4, Qt5 library, and tests)">
 
 
@@ -180,5 +180,5 @@
       them is:
 <command>git clone git://git.freedesktop.org/git/poppler/test testfiles</command>.
-      Then issue: <command>LC_ALL=en_US.UTF-8 make check</command>. 
+      Then issue: <command>LC_ALL=en_US.UTF-8 make test</command>. 
       Only the Qt5 libraries are tested.
     </para>
@@ -189,5 +189,5 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
-
+<!-- Seems makeinstall does the job now:
     <para>
       If you have Qt installed, again as the  
@@ -196,6 +196,6 @@
     
 <screen role="root"><userinput>make -C qt5 install &amp;&amp;
-install -m644 poppler-qt5.pc usr/lib/pkgconfig</userinput></screen>
-
+install -m644 poppler-qt5.pc /usr/lib/pkgconfig</userinput></screen>
+-->
     <para>
       To install the documentation, run the following commands as
@@ -204,5 +204,5 @@
 
 <screen role="root"><userinput>install -v -m755 -d        /usr/share/doc/poppler-&poppler-version; &amp;&amp;
-cp -vr glib/reference/html /usr/share/doc/poppler-&poppler-version;</userinput></screen>
+cp -vr ../glib/reference/html /usr/share/doc/poppler-&poppler-version;</userinput></screen>
 
 <!-- ==== Poppler Data ====== -->
@@ -214,5 +214,5 @@
     </para>
 
-<screen><userinput>tar -xf ../poppler-data-&poppler-data-version;.tar.gz &amp;&amp;
+<screen><userinput>tar -xf ../../poppler-data-&poppler-data-version;.tar.gz &amp;&amp;
 cd poppler-data-&poppler-data-version;</userinput></screen>
 
@@ -252,5 +252,5 @@
 
     <para>
-      <command>LC_ALL=en_US.UTF-8 make check</command>: Run the test suite.
+      <command>LC_ALL=en_US.UTF-8 make test</command>: Run the test suite.
       The environment variable LC_ALL=en_US.UTF-8 is only needed if the
       default locale does not include UTF-8.
@@ -280,6 +280,7 @@
         </seg>
         <seg>
-          /usr/include/poppler and
-          /usr/share/gtk-doc/poppler
+          /usr/include/poppler,
+          /usr/share/poppler, and
+          /usr/share/doc/poppler-&poppler-version;
         </seg>
       </seglistitem>
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ general/sysutils/udisks2.xml	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -7,5 +7,5 @@
   <!ENTITY udisks2-download-http "https://github.com/storaged-project/udisks/releases/download/udisks-&udisks2-version;/udisks-&udisks2-version;.tar.bz2">
   <!ENTITY udisks2-download-ftp  " ">
-  <!ENTITY udisks2-md5sum        "6d99136123116e2a99e733276ff37a98">
+  <!ENTITY udisks2-md5sum        "59d2b66f300759295186964a2a955df1">
   <!ENTITY udisks2-size          "1.2 MB">
   <!ENTITY udisks2-buildsize     "47 MB (with tests)">
@@ -194,4 +194,5 @@
       </varlistentry>
 
+<!-- Removed since the user shouldn't use this, and it is in /usr/libexec
       <varlistentry id="udisksd">
         <term><command>udisksd</command></term>
@@ -205,6 +206,6 @@
         </listitem>
       </varlistentry>
-
-      <varlistentry id="umountudisks2" revision="systemd">
+-->
+      <varlistentry id="umountudisks2">
         <term><command>umount.udisks2</command></term>
         <listitem>
@@ -215,5 +216,5 @@
           </para>
           <indexterm zone="udisks2 umountudisks2">
-            <primary sortas="b-umount.udisks2">umountudisks2</primary>
+            <primary sortas="b-umountudisks2">umount.udisks2</primary>
           </indexterm>
         </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ introduction/welcome/changelog.xml	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -43,4 +43,34 @@
 -->
     <listitem>
+      <para>November 14th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to gnupg-2.2.2. Fixes
+          <ulink url="&blfs-ticket-root;10005">#10005</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to poppler-0.61.0. Fixes
+          <ulink url="&blfs-ticket-root;9989">#9989</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to udisks2-2.7.4. Fixes
+          <ulink url="&blfs-ticket-root;9973">#9973</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to libdrm-2.4.88. Fixes
+          <ulink url="&blfs-ticket-root;9970">#9970</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to icu4c-60.1. Fixes
+          <ulink url="&blfs-ticket-root;9967">#9967</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to mariadb-10.2.10. Fixes
+          <ulink url="&blfs-ticket-root;9969">#9969</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 13th, 2017</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ packages.ent	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -15,5 +15,5 @@
 <!ENTITY cryptsetup-version           "&cryptsetup-minor;.5">
 <!ENTITY cyrus-sasl-version           "2.1.26">
-<!ENTITY gnupg2-version               "2.2.1">
+<!ENTITY gnupg2-version               "2.2.2">
 <!ENTITY gnutls-version               "3.6.1">
 <!ENTITY gpgme-version                "1.9.0">
@@ -111,5 +111,5 @@
 <!ENTITY gsl-version                  "2.4">
 
-<!ENTITY icu-major                    "59">
+<!ENTITY icu-major                    "60">
 <!ENTITY icu-minor                    "1">
 <!ENTITY icu-patch                    "0">
@@ -133,5 +133,5 @@
 <!ENTITY libcroco-version             "0.6.12">
 <!ENTITY libdaemon-version            "0.14">
-<!ENTITY libdrm-version               "2.4.85">
+<!ENTITY libdrm-version               "2.4.88">
 <!ENTITY libepoxy-minor               "1.4">
 <!ENTITY libepoxy-version             "&libepoxy-minor;.3">
@@ -218,5 +218,5 @@
 <!ENTITY openjpeg2-version            "2.3.0">
 <!ENTITY pixman-version               "0.34.0">   <!-- Even minors only -->
-<!ENTITY poppler-version              "0.60.1">
+<!ENTITY poppler-version              "0.61.0">
 <!ENTITY potrace-version              "1.15">
 <!ENTITY qpdf-version                 "7.0.0">
@@ -287,5 +287,5 @@
 <!ENTITY systemd-version              "235">
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
-<!ENTITY udisks2-version              "2.7.3">    <!-- stable lt .90 micro version -->
+<!ENTITY udisks2-version              "2.7.4">    <!-- stable lt .90 micro version -->
 <!ENTITY unrar-version                "5.5.8">
 <!ENTITY unzip-version                "6.0">
@@ -504,5 +504,5 @@
 <!ENTITY db-version                   "6.2.32">
 <!ENTITY lmdb-version                 "0.9.21">
-<!ENTITY mariadb-version              "10.2.9">
+<!ENTITY mariadb-version              "10.2.10">
 <!ENTITY postgresql-version           "10.0">
 <!ENTITY sqlite-version               "3.21.0">
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ postlfs/security/gnupg2.xml	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -7,8 +7,8 @@
   <!ENTITY gnupg2-download-http "&gnupg-http;/gnupg/gnupg-&gnupg2-version;.tar.bz2">
   <!ENTITY gnupg2-download-ftp  "&gnupg-ftp;/gnupg/gnupg-&gnupg2-version;.tar.bz2">
-  <!ENTITY gnupg2-md5sum        "f781efae8756f6cf5d500aad8e4b33e2">
+  <!ENTITY gnupg2-md5sum        "251a0cc612869e7ebbeb88d1d5ab132a">
   <!ENTITY gnupg2-size          "6.2 MB">
-  <!ENTITY gnupg2-buildsize     "107 MB (with all tests; add 24MB for docs)">
-  <!ENTITY gnupg2-time          "0.8 SBU (add 1.5 SBU for tests)">
+  <!ENTITY gnupg2-buildsize     "139 MB (with all tests; add 24MB for docs)">
+  <!ENTITY gnupg2-time          "0.8 SBU (add 1.4 SBU for tests)">
 ]>
 
@@ -139,5 +139,7 @@
     <para>If you have <xref linkend="texlive"/>
     installed and you wish to create documentation in alternate formats,
-    issue the following commands:</para>
+    issue the following commands
+    (<ulink url="http://mcj.sourceforge.net/">fig2dev</ulink> is needed for
+    the ps format):</para>
 
 <screen><userinput>make -C doc pdf ps html</userinput></screen>
Index: server/databases/mariadb.xml
===================================================================
--- server/databases/mariadb.xml	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ server/databases/mariadb.xml	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -8,8 +8,8 @@
   <!ENTITY mariadb-download-http "https://downloads.mariadb.org/interstitial/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz"> 
   <!ENTITY mariadb-download-ftp  "ftp://mirrors.fe.up.pt/pub/mariadb/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz">
-  <!ENTITY mariadb-md5sum        "c59999bd182ddeb3db3d55250aecd8f8">
-  <!ENTITY mariadb-size          "67 MB">
-  <!ENTITY mariadb-buildsize     "1.3 GB">
-  <!ENTITY mariadb-time          "8.4 SBU (with parallelism=4, add 0.5 SBU for tests)">
+  <!ENTITY mariadb-md5sum        "4d14eba77e964737b13893b8beaafb1c">
+  <!ENTITY mariadb-size          "69 MB">
+  <!ENTITY mariadb-buildsize     "1.8 GB">
+  <!ENTITY mariadb-time          "8.3 SBU (with parallelism=4, add 0.5 SBU for tests)">
 ]>
 
@@ -422,21 +422,22 @@
         <seg>
           aria_chk, aria_dump_log, aria_ftdump, aria_pack, aria_read_log,
-          galara_new_cluster, galara_recovery,
-          innochecksum, maria_add_gis_sp.sql, msql2mysql, my_print_defaults,
+          innochecksum, mariabackup, mariadb_config, mbstream, msql2mysql,
+          my_print_defaults, myisamchk,
           myisam_ftdump, myisamchk, myisamlog, myisampack, mysql,
           mysql_client_test, mysql_client_test_embedded, mysql_config,
           mysql_convert_table_format, mysql_embedded, mysql_find_rows,
-          mysql_fix_extensions, mysql_install_db, mysql_plugin,
+          mysql_fix_extensions, mysql_install_db, mysql_ldb, mysql_plugin,
           mysql_secure_installation, mysql_setpermission, mysql_tzinfo_to_sql,
-          mysql_upgrade, mysql_waitpid, mysql_zap, mysqlaccess, mysqladmin,
-          mysqlbinlog, mysqlbug, mysqlcheck, mysqld, mysqld_multi, mysqld_safe,
+          mysql_upgrade, mysql_waitpid, mysqlaccess, mysqladmin, mysqlbinlog,
+          mysqlcheck, mysqld, mysqld_multi, mysqld_safe, mysqld_safe_helper,
           mysqldump, mysqldumpslow, mysqlhotcopy, mysqlimport, mysqlshow,
           mysqlslap, mysqltest, mysqltest_embedded, mytop, perror, replace,
-          resolve_stack_dump, resolveip, wsrep_sst_common, wsrep_sst_mysqldump,
+          resolve_stack_dump, resolveip, sst_dump, wsrep_sst_common,
+          wsrep_sst_mariabackup, wsrep_sst_mysqldump,
           wsrep_sst_rsync, wsrep_sst_xtrabackup, and wsrep_sst_xtrabackup-v2
         </seg>
         <seg>
-          libmysqlclient.{so,a},
-          libmysqlclient_r.{so,a} (symbolic links to libmysqlclient.{so,a}),
+          libmariadbclient.a, libmariadb.so, libmysqlclient.a,
+          libmysqlclient_r.a (symbolic links to libmariadbclient.a),
           libmysqld.{so,a}, libmysqlservices.a,
           and several under /usr/lib/mysql/plugin/
@@ -544,4 +545,40 @@
       </varlistentry>
 
+      <varlistentry id="mariabackup-mariadb">
+        <term><command>mariabackup</command></term>
+        <listitem>
+          <para>
+            is an open source backup tool for InnoDB and XtraDB.
+          </para>
+          <indexterm zone="mariadb mariabackup-mariadb">
+            <primary sortas="b-mariabackup-mariadb">mariabackup</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mariadb_config-mariadb">
+        <term><command>mariadb_config</command></term>
+        <listitem>
+          <para>
+            gets compiler flags for using the MariaDB Connector/C.
+          </para>
+          <indexterm zone="mariadb mariadb_config-mariadb">
+            <primary sortas="b-mariadb_config-mariadb">mariadb_config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mbstream-mariadb">
+        <term><command>mbstream</command></term>
+        <listitem>
+          <para>
+            is an utility for sending InnoDB and XTraDB backups over a stream
+          </para>
+          <indexterm zone="mariadb mbstream-mariadb">
+            <primary sortas="b-mbstream-mariadb">mbstream</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+<!--
       <varlistentry id="maria_add_gis_sp.sql-mariadb">
         <term><command>maria_add_gis_sp.sql</command></term>
@@ -549,5 +586,5 @@
           <para>
             this script creates stored procedures required by the OpenGIS
-            standards, and is prepared to be run with the --bootstrap server
+            standards, and is prepared to be run with the -\-bootstrap server
             option.
           </para>
@@ -557,5 +594,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry id="msql2mysql-mariadb">
         <term><command>msql2mysql</command></term>
@@ -747,4 +784,16 @@
       </varlistentry>
 
+      <varlistentry id="mysql_ldb-mariadb">
+        <term><command>mysql_ldb</command></term>
+        <listitem>
+          <para>
+            is the RocksDB tool.
+          </para>
+          <indexterm zone="mariadb mysql_ldb-mariadb">
+            <primary sortas="b-mysql_ldb-mariadb">mysql_ldb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="mysql_plugin-mariadb">
         <term><command>mysql_plugin</command></term>
@@ -820,5 +869,5 @@
         </listitem>
       </varlistentry>
-
+<!--
       <varlistentry id="mysql_zap-mariadb">
         <term><command>mysql_zap</command></term>
@@ -832,5 +881,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry id="mysqlaccess-mariadb">
         <term><command>mysqlaccess</command></term>
@@ -869,5 +918,5 @@
         </listitem>
       </varlistentry>
-
+<!--
       <varlistentry id="mysqlbug-mariadb">
         <term><command>mysqlbug</command></term>
@@ -881,5 +930,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry id="mysqlcheck-mariadb">
         <term><command>mysqlcheck</command></term>
@@ -1098,4 +1147,16 @@
       </varlistentry>
 
+      <varlistentry id="sst_sump-mariadb">
+        <term><command>sst_sump</command></term>
+        <listitem>
+          <para>
+            dumps the content of sst files (the format used by RocksDB).
+          </para>
+          <indexterm zone="mariadb sst_sump-mariadb">
+            <primary sortas="b-sst_sump-mariadb">sst_sump</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 
Index: x/lib/libdrm.xml
===================================================================
--- x/lib/libdrm.xml	(revision a0d558dfbd9cec8fc4c14eafe5e994e46f962cf2)
+++ x/lib/libdrm.xml	(revision 55781c20039873fc66cfbdb5255c3809b22c4de6)
@@ -7,7 +7,7 @@
   <!ENTITY libdrm-download-http "https://dri.freedesktop.org/libdrm/libdrm-&libdrm-version;.tar.bz2">
   <!ENTITY libdrm-download-ftp  " ">
-  <!ENTITY libdrm-md5sum        "7aa540aeea4a1f3d1e9b0828f1772543">
-  <!ENTITY libdrm-size          "780 KB">
-  <!ENTITY libdrm-buildsize     "13 MB (add 1 MB for the tests)">
+  <!ENTITY libdrm-md5sum        "fe4d5c77f1468ee73d0bbb30d76945d7">
+  <!ENTITY libdrm-size          "778 KB">
+  <!ENTITY libdrm-buildsize     "15 MB (add 1 MB for the tests)">
   <!ENTITY libdrm-time          "0.2 SBU (add 0.8 SBU for the tests)">
 ]>
@@ -149,5 +149,5 @@
         </seg>
         <seg>
-          /usr/include/lib{drm,kms}
+          /usr/include/libdrm, /usr/include/libkms, and /usr/share/libdrm
         </seg>
       </seglistitem>